<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Artisan;
use Illuminate\Support\Facades\DB;
use App\Models\Property;

use App\Models\PropertyImage;
use App\Models\VehicleCategory;
use App\Models\VehicleType;
use App\Models\Amenity;
class SyncData extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'sync:data';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
        
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        if ( ini_get( 'allow_url_fopen' ) ) {
     echo "allow_url_fopen is ENABLED.\n";
 } else {    
     echo "allow_url_fopen is DISABLED.\n";
 }
        ini_set("allow_url_fopen", 1);
         $active_property = [];
        echo 'syncing data';
        $xml = simplexml_load_file('https://api.baytikcrm.ae/listings/feed/generic');
       
        foreach ($xml as $key => $value) {    
            
            $propertyExist = Property::where('reference_code',$value->reference)->get()->toArray(); 
            if(!empty($propertyExist) ){
                $propertyObj = Property::find($propertyExist[0]['property_id']);
            } else {
                $propertyObj = new Property();
                $propertyObj->property_created_date =  date('Y-m-d H:i:s');
                $propertyObj->property_language_code = 1;
            }
            if($value->property_for == "Rental") {
                $propertyObj->category_type = 2;
            } else if($value->property_for == "Sale") {
                $propertyObj->category_type = 3;
            } else {
                $propertyObj->category_type = 1;
            }
            if(strtolower($value->category) != "") {
               $categoryData = VehicleCategory::where('vehicle_category_name', $value->category)->get()->toArray();  
               if(!empty($categoryData)) {
                    $categoryData = array_shift($categoryData); // print_r($categoryData);
                    $propertyObj->property_type = $categoryData['vehicle_category_id'];
               }
            } 
            echo $propertyObj->property_name = $value->title;
            $description = $value->description;
            $newdes= "<ul>";
            if($value->occupancy!="") {
                $newdes .= "<li><span>Occupancy</span>: ".$value->occupancy." </li>";
            }
            if($value->unit_number!="") {
                $newdes .= "<li><span>Unit No</span> : ".$value->unit_number." </li>";
            }
            
            if($value->floor!="") {
                $newdes .= "<li><span>Floor</span> : ".$value->floor." </li>";
            }
            
            if($value->cheques!="") {
                $newdes .= "<li><span>Cheques</span> : ".$value->cheques." </li>";
            }
            if($value->ownership!="") {
                $newdes .= "<li><span>Ownership</span> : ".$value->ownership." </li>";
            }
            $newdes.= "</ul>";
             $description = str_replace('Please call for more information',$newdes.'Please call for more information',$description);
             $propertyObj->property_desc = $description;
            $propertyObj->property_bedroom = (int)$value->bedrooms;
            $propertyObj->property_bathroom = (int)$value->bathrooms;
            $propertyObj->property_sqft = $value->size;
            $propertyObj->property_price = $value->price;
            $propertyObj->reference_code = $value->reference;
            $propertyObj->rent_type = $value->rant_frequency;
            $propertyObj->featured = ($value->featured=="Yes")?1:0;;
            $propertyObj->property_status = 1;
            $propertyObj->property_location = $value->location_text;
            $propertyObj->agent_name = $value->agent->name;
            $propertyObj->agent_email = $value->agent->email;
            $propertyObj->agent_mobile = $value->agent->mobile;
            $propertyObj->agent_reference = $value->agent->reference;
           /*  $propertyObj->rent_type = $value->rant_frequency;*/
            $geocode =  $value->geopoint;
            if($geocode) { 
                $geocodeA = explode(",",$geocode);
                if(!empty($geocodeA)) {
                    $propertyObj->latitude = $geocodeA[0];
                    if(isset($geocodeA[1]))
                        $propertyObj->longitude = $geocodeA[1];
                }
            }

            
          
            $propertyObj->property_amenities = "";
            $propertyObj->save();  
             DB::table('property_images')->where('property_id', $propertyObj->property_id)->delete();
            for ($i=0; $i < count($value->images->image) ; $i++) { 
                $imagesArr = explode(",",$value->images->image[$i]);
                /*$path =   $imagesArr[0];
                $filename = basename($path);
                $filnameArr = explode(".",$filename);
             
                file_put_contents(public_path('property/images/').$filename, file_get_contents($path));*/
                
             
                $record = new PropertyImage;           
                $record->property_id = $propertyObj->property_id;
                $record->sort_order = $i+1;
                $record->property_images_name = $value->images->image[$i];
                $record->save();
            }
            
             
           
          /*  $images = explode(",",$value->images->image);
           // print_r($images);
            if(!empty($images)) {
                foreach ($images as $key1 => $value1) {
                    $path =   $value1;
                    $filename = basename($path);
                    $filnameArr = explode(".",$filename);
                 
                    file_put_contents(public_path('property/images/').$filename, file_get_contents($path));
                    
                 
                    $record = new PropertyImage;           
                    $record->property_id = $propertyObj->property_id;
                    $record->sort_order = 1;
                    $record->property_images_name = $filename;
                    $record->save();
                }
            }*/
            //$path = 'https://s3.amazonaws.com/baytik-prop-prod/storage/gallery/1643089210-b1b55271-476c-4619-81be-9ee0258ff978.jpg';
            $aminitiesArr =[];
            DB::table('property_amenities')->where('property_id', $propertyObj->property_id)->delete();
            if($value->furnished !="") {
                $checkExist = Amenity::where('amenities_name',$value->furnished)->get()->toArray();
                $aminitiesArr =[];
                 
                if(empty($checkExist)) {
                    $AmenityOnj =  new Amenity();
                    $AmenityOnj->amenities_name = $value->furnished;
                    $AmenityOnj->status = 1;
                    $AmenityOnj->save();
                    $aminity_id = $AmenityOnj->amenities_id;

                } else{
                    $aminity_id = $checkExist[0]['amenities_id'];
                }
                $aminitiesArr[] = $aminity_id;
                $a_ins['amenities_id'] = $aminity_id;
                $a_ins['property_id'] = $propertyObj->property_id;
                DB::table('property_amenities')->insert($a_ins);
            }
            if($value->parking !="") {
                $checkExist = Amenity::where('amenities_name','Parking')->get()->toArray();
                $aminitiesArr =[];
                 
                if(empty($checkExist)) {
                    $AmenityOnj =  new Amenity();
                    $AmenityOnj->amenities_name = 'Parking';
                    $AmenityOnj->status = 1;
                    $AmenityOnj->save();
                    $aminity_id = $AmenityOnj->amenities_id;

                } else{
                    $aminity_id = $checkExist[0]['amenities_id'];
                }
                $aminitiesArr[] = $aminity_id;
                $a_ins['amenities_id'] = $aminity_id;
                $a_ins['property_id'] = $propertyObj->property_id;
                DB::table('property_amenities')->insert($a_ins);
            }
           
            $propertyObj->property_amenities = implode(",", $aminitiesArr);
            $propertyObj->save();
            $active_property[] = $propertyObj->property_id;
        }
        
        Property::whereNotIn('property_id', $active_property)->update(['property_status'=> 0]);
        
    }
}
