<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use App\Models\Testimonial;

class TestimonialController extends Controller
{
	public function index(Request $request)
	{
		$data = array();
		$data["testimonialList"] = DB::table('testimonial')->orderBy('testimonial_created_time','desc')->whereIn('testimonial_status',[1,0])->distinct()->get();
		return view('admin.testimonial.index', compact('data'));
	}
	public function create(Request $request, $id)
	{
		$data = array();
		$data["pageTitle"] = "";
        $data["id"] = $id;
        if($id == 0){
            $data["pageTitle"] = "Add Testimonial";
        } else {
            $data["pageTitle"] = "Edit Testimonial";
            $data['data'] = Testimonial::where("testimonial_id", $id)->first(); 
            
        }
		return view('admin.testimonial.load_form', compact('data'));
	}

	public function save(Request $request){
        // dd($request);
        if($request->id == 0){
            $testimonial = new Testimonial;
            $testimonial->testimonial_status = 1;
            
            
            $message = "Testimonial saved successfully";
        } else {
           /* $testimonial = VehicleCategory::where("vehicle_category_id", $request->id)->first();
            $testimonial->vehicle_category_status = $request->vehicle_category_status;*/
            $message = "Testimonial saved successfully";
            $testimonial = Testimonial::where("testimonial_id", $request->id)->first(); 
        }
        

        $testimonial->first_name = $request->first_name;
        $testimonial->last_name = $request->last_name;
        $testimonial->testimonial = $request->testimonial;
        $testimonial->testimonial_arabic = $request->testimonial_arabic;
        if($request->image!="") {
	        $imageName = time().'.'.$request->image->extension();  
	        $request->image->move(public_path('testimonial'), $imageName);
	        $testimonial->profile_image = $imageName;
	    }
	    if($request->id == 0){
        	$testimonial->testimonial_created_time = date("Y-m-d H:i:s");
        	$testimonial->testimonial_status = 1;
        }
        if(isset($request->status)) {
        	$testimonial->testimonial_status = $request->status;
        }
        $testimonial->save();

        return response()->json(['success' => true, 'message' => $message]);

    }

    public function delete(Request $request){
        $record = Testimonial::find($request->id);
        if($record){
            $record->testimonial_status = 10;
             $record->save();
            return response()->json(['success' => true, 'message' => "Record has been delete successfully"]);
        } 
        return response()->json(['success' => false, 'message' => "Something went wrong."]);
    }

}