<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Website;
use App\Models\WhyChooseUs;
use DB;
use Illuminate\Http\Request;

class WebsiteController extends Controller
{
    public function index(Request $request)
    {
        $data = array();
        $website = Website::find(1);
        $mode = "create";
        $id = "";

        $title_1 = "";
        $title_1_count = "";
        $title_2 = "";
        $title_2_count = "";
        $title_3 = "";
        $title_3_count = "";
        $title_4 = "";
        $title_4_count = "";
        $sub_title = "";
        $sub_sub_title = "";
        $btn_link = "";
        $btn_text = "";
        if (!empty($website)) {
            $mode = "edit";
            $id = $website->id;
            $title_1 = $website->title_1;
            $title_1_count = $website->title_1_count;
            $title_2 = $website->title_2;
            $title_2_count = $website->title_2_count;
            $title_3 = $website->title_3;
            $title_3_count = $website->title_3_count;
            $title_4 = $website->title_4;
            $title_4_count = $website->title_4_count;
            $sub_title = $website->sub_title;
            $sub_sub_title = $website->sub_sub_title;
            $btn_link = $website->btn_link;
            $btn_text = $website->btn_text;
        }
        return view('admin.website.index', compact('mode', 'id', 'title_1', 'title_1_count', 'title_2', 'title_2_count', 'title_3', 'title_3_count', 'title_4', 'title_4_count','sub_title','sub_sub_title','btn_link','btn_text'));
    }
    public function save(Request $request)
    {
        // dd($request);
        if (!$request->id) {
            $info = new Website;
            $message = "Website info saved successfully";
        } else {
            $message = "Website info saved successfully";
            $info = Website::where("id", $request->id)->first();
        }

        $info->title_1 = $request->title_1;
        $info->title_1_count = $request->title_1_count;
        $info->title_2 = $request->title_2;
        $info->title_2_count = $request->title_2_count;
        $info->title_3 = $request->title_3;
        $info->title_3_count = $request->title_3_count;
        $info->title_4 = $request->title_4;
        $info->title_4_count = $request->title_4_count;
        $info->sub_title = $request->sub_title;
        $info->sub_sub_title = $request->sub_sub_title;
        $info->btn_link = $request->btn_link;
        $info->btn_text = $request->btn_text;
        
        $info->save();

        return response()->json(['success' => true, 'message' => $message]);

    }
    public function why_choose_us(Request $request)
    {
        $data = array();
        $data["list"] = WhyChooseUs::orderBy('created_at', 'asc')->get();
        return view('admin.website.why_choose_us', compact('data'));
    }

    public function create_why_choose_us(Request $request, $id)
    {
        $data = array();
        $data["pageTitle"] = "";
        $data["id"] = $id;
        if ($id == 0) {
            $data["pageTitle"] = "Add Data";
        } else {
            $data["pageTitle"] = "Edit Data";
            $data['data'] = WhyChooseUs::where("id", $id)->first();

        }
        return view('admin.website.create_why_choose_us', compact('data'));
    }

    public function save_why_choose_us(Request $request)
    {
        // dd($request);
        if ($request->id == 0) {
            $info = new WhyChooseUs;
            $message = "Data saved successfully";
        } else {
            $message = "Data saved successfully";
            $info = WhyChooseUs::where("id", $request->id)->first();
        }

        $info->title = $request->title;
        $info->description = $request->description;
        $info->icon = $request->icon;
        if ($request->id == 0) {
            $info->created_at = date("Y-m-d H:i:s");
        }
        if (isset($request->status)) {
            $info->updated_at = date("Y-m-d H:i:s");
        }
        $info->save();

        return response()->json(['success' => true, 'message' => $message]);

    }

    public function delete_why_choose_us(Request $request)
    {
        WhyChooseUs::where("id", $request->id)->delete();
        return response()->json(['success' => true, 'message' => "Record has been deleted successfully"]);
    }

    public function footer_info(Request $request)
    {
        $data = array();
        $info = DB::table('site_common_info')->find(1);
        $mode = "create";
        $id = "";

        $mail = "";
        $contact = "";
        $address = "";
        $description = "";
        $timing_1 = "";
        $timing_2 = "";

        if (!empty($info)) {
            $mode = "edit";
            $id = $info->id;
            $mail = $info->mail;
            $contact = $info->contact;
            $address = $info->address;
            $description = $info->description;
            $timing_1 = $info->timing_1;
            $timing_2 = $info->timing_2;

        }
        return view('admin.website.footer_info', compact('mode', 'id', 'mail', 'contact', 'address', 'description', 'timing_1', 'timing_2'));
    }
    public function save_footer_info(Request $request)
    {

        $info['mail'] = $request->mail;
        $info['contact'] = $request->contact;
        $info['address'] = $request->address;
        $info['description'] = $request->description;
        $info['timing_1'] = $request->timing_1;
        $info['timing_2'] = $request->timing_2;
        if (!$request->id) {
            DB::table('site_common_info')->insert($info);
        } else {
            DB::table('site_common_info')->where('id', $request->id)->update($info);
        }

        $message = "Footer info saved successfully";
        return response()->json(['success' => true, 'message' => $message]);

    }
    public function social_media()
    {
        $list = DB::table('social_media_settings')->get();

        return view('admin.website.social_media', compact('list'));
    }
    public function save_social_media(Request $request)
    {

        $title = $request->title;
        $value = $request->value;
        $icon = $request->icon;
        DB::table('social_media_settings')->truncate();
        foreach ($title as $key => $val) {
            $ins['title'] = $val;
            $ins['value'] = $value[$key];
            $ins['icon'] = $icon[$key];
            DB::table('social_media_settings')->insert($ins);
        }

        $message = "Details updated successfully";
        return response()->json(['success' => true, 'message' => $message]);

    }
}
