<?php

namespace App\Http\Controllers\Home;

use App\Http\Controllers\Controller;
use App\Models\Amenity;
use App\Models\Article;
use App\Models\HomeModel;
use App\Models\Property;
use App\Models\PropertyImage;
use App\Models\Testimonial;
use App\Models\VehicleCategory;
use App\Models\VehicleType;
use App\Models\Website;
use App\Models\WhyChooseUs;
use DB;
use Validator;
use Illuminate\Http\Request;
use App\Models\PropertyVideo;
class HomeController extends Controller
{
    public function index()
    {
        $premium = HomeModel::get_properties(['is_premium' => 1, 'featured' => 1, 'property_status' => 1],['sort_order'=>1])->take(6)->get();
        foreach ($premium as $key => $val) {
            $image = PropertyImage::where("property_id", $val->property_id)->orderBy('sort_order', 'asc')->first();
            $premium[$key]->image = isset($image->property_images_name) ? $image->property_images_name : '';
            $premium[$key]->image_count = PropertyImage::where("property_id", $val->property_id)->count();
        }
        $category_types = VehicleType::where('vehicle_status', 1)->whereNotIn('vehicle_type_id', [1])->get();
        $property_types = VehicleCategory::orderBy('vehicle_category_id', 'DESC')->distinct()->get();
        $testimonial = Testimonial::where("testimonial_status", 1)->get();

        $property_type_list = VehicleCategory::where(['vehicle_category_status' => 1, 'show_in_home' => 1])->orderBy('vehicle_category_created_at', 'desc')->take(4)->get();
        foreach ($property_type_list as $key => $val) {
            $property_type_list[$key]->count = Property::where(['property_status' => 1, 'property_type' => $val->vehicle_category_id])->count();
        }
        $website_info = Website::find(1);
        $why_choose_us = WhyChooseUs::orderBy('created_at', 'asc')->get();
        $amenities = Amenity::where('status', 1)->get();
        return view('frontend.index', compact('premium', 'property_types', 'category_types', 'testimonial', 'website_info', 'property_type_list', 'why_choose_us', 'amenities'));
    }
    
    
    // public function new_index()
    // {
    //     $premium = HomeModel::get_properties(['is_premium' => 1, 'featured' => 1, 'property_status' => 1],['sort_order'=>1])->take(6)->get();
    //     foreach ($premium as $key => $val) {
    //         $image = PropertyImage::where("property_id", $val->property_id)->orderBy('sort_order', 'asc')->first();
    //         $premium[$key]->image = isset($image->property_images_name) ? $image->property_images_name : '';
    //         $premium[$key]->image_count = PropertyImage::where("property_id", $val->property_id)->count();
    //     }
    //     $category_types = VehicleType::where('vehicle_status', 1)->whereNotIn('vehicle_type_id', [1])->get();
    //     $property_types = VehicleCategory::orderBy('vehicle_category_id', 'DESC')->distinct()->get();
    //     $testimonial = Testimonial::where("testimonial_status", 1)->get();

    //     $property_type_list = VehicleCategory::where(['vehicle_category_status' => 1, 'show_in_home' => 1])->orderBy('vehicle_category_created_at', 'desc')->take(4)->get();
    //     foreach ($property_type_list as $key => $val) {
    //         $property_type_list[$key]->count = Property::where(['property_status' => 1, 'property_type' => $val->vehicle_category_id])->count();
    //     }
    //     $website_info = Website::find(1);
    //     $why_choose_us = WhyChooseUs::orderBy('created_at', 'asc')->get();
    //     $amenities = Amenity::where('status', 1)->get();
    //     return view('frontend.new_index', compact('premium', 'property_types', 'category_types', 'testimonial', 'website_info', 'property_type_list', 'why_choose_us', 'amenities'));
    // }
    
    public function property_details($property_id)
    {
        if (!is_numeric($property_id)) {
            $property_id = base64_decode($property_id);
        }
        $where = ["property_id" => $property_id, 'property_status' => 1];
        if(isset($_GET['view_type']) && $_GET['view_type'] =='__enq_det'){
            $where = ["property_id" => $property_id];
        }
        $property = Property::select('property.*', 'vehicle_type_name')->join('vehicle_types', 'vehicle_types.vehicle_type_id', '=', 'category_type')->where($where)->first();
        if (!$property) {
            abort(404);
        }
        $image = PropertyImage::where("property_id", $property_id)->orderBy('sort_order', 'asc')->first();
        $property_type = DB::table("vehicle_category")->where('vehicle_category_id', $property->property_type)->first();
        $property->property_type = isset($property_type->vehicle_category_name) ? $property_type->vehicle_category_name : '';
        $property->image = isset($image->property_images_name) ? $image->property_images_name : '';
        $images = PropertyImage::orderBy('sort_order', 'ASC')->where("property_id", $property_id)->distinct()->get();
        if($property->property_amenities!="") {
            $am = explode(',',$property->property_amenities);
            $amenities_list = Amenity::where('status',1)->whereIn('amenities_id',$am)->get();
        } else {
            $amenities_list = [];
        }
         $videos = PropertyVideo::where("property_id", $property_id)->orderBy('sort_order', 'asc')->get(); 
        return view('frontend.property_details', compact('property', 'images', 'amenities_list','videos'));
    }
    public function properties()
    {
        $category_types = VehicleType::where('vehicle_status', 1)->whereNotIn('vehicle_type_id', [1])->get();
        $property_types = VehicleCategory::orderBy('vehicle_category_id', 'DESC')->distinct()->get();
        $amenities = Amenity::where('status', 1)->get();
        $category_type = isset($_GET['category_type']) ? $_GET['category_type'] : '';
        $property_type = isset($_GET['property_type']) ? $_GET['property_type'] : '';
        $list_type = isset($_GET['list_type']) ? $_GET['list_type'] : '';

        $location = isset($_GET['location']) ? $_GET['location'] : '';
        $place = isset($_GET['place']) ? $_GET['place'] : '';

        $bed_rooms = isset($_GET['bed_rooms']) ? $_GET['bed_rooms'] : '';
        $bath_rooms = isset($_GET['bath_rooms']) ? $_GET['bath_rooms'] : '';
        $price_range = isset($_GET['price_range']) ? $_GET['price_range'] : '';
        $area_range = isset($_GET['area_range']) ? $_GET['area_range'] : '';
        if (!$price_range) {
            $price_range = "0;0";
        }
        if (!$area_range) {
            $area_range = "0;0";
        }

        $sel_amtnts = isset($_GET['amenities']) ? $_GET['amenities'] : '';
        $sel_amtnts = explode(",", $sel_amtnts);

        return view('frontend.property_list', compact('property_types', 'category_types', 'amenities', 'category_type', 'property_type', 'list_type', 'location', 'place', 'bed_rooms', 'bath_rooms', 'price_range', 'area_range', 'sel_amtnts'));
    }
    public function get_property_list()
    {
        $filter['amenities'] = isset($_GET['amenities']) ? $_GET['amenities'] : '';
        $filter['category_type'] = isset($_GET['category_type']) ? $_GET['category_type'] : '';
        $filter['property_type'] = isset($_GET['property_type']) ? $_GET['property_type'] : '';
        $filter['search_text'] = isset($_GET['search_text']) ? $_GET['search_text'] : '';
        $filter['bedrooms'] = isset($_GET['bedrooms']) ? $_GET['bedrooms'] : '';
        $filter['bathrooms'] = isset($_GET['bathrooms']) ? $_GET['bathrooms'] : '';
        $filter['sort'] = isset($_GET['sort']) ? $_GET['sort'] : '';

        if (isset($_GET['location']) && $_GET['location']) {
            $location = explode(",", $_GET['location']);
            $filter['lat'] = $location[0];
            $filter['long'] = $location[1];
        }

        if (isset($_GET['price_range']) && $_GET['price_range'] != '0;0') {
            $price_range = explode(";", $_GET['price_range']);
            $filter['min_price'] = $price_range[0];
            $filter['max_price'] = $price_range[1];
        }
        if (isset($_GET['area_range']) && $_GET['area_range'] != '0;0') {
            $area_range = explode(";", $_GET['area_range']);
            $filter['min_area'] = $area_range[0];
            $filter['max_area'] = $area_range[1];
        }

        $list_type = isset($_GET['list_type']) ? $_GET['list_type'] : '';
        $where['property_status'] = 1;
        if ($list_type == 'premium') {
            $where['is_premium'] = 1;
        }
        $res = HomeModel::get_properties($where, $filter)->paginate(10);
        return view('frontend.list', compact('res'));
    }
    public function book_valuation()
    {
        return view('frontend.book_valuation');
    }
    public function save_book_valuation(Request $rq)
    {

        $rules = [
            'image.*' => 'mimes:jpeg,jpg,png',
            'document.*' => 'mimes:pdf,jpeg,jpg,png'
        ];
        $validator = Validator::make($rq->all(),$rules,
            [
                'image.*.mimes' => 'Only jpg,jpeg,png files are allowed',
                'document.*.mimes' => 'Only jpg,jpeg,png,pdf files are allowed',
            ]
        );
        $errors = '';
        if ($validator->fails()) {
            $status = "0";
            $message = "Please upload files with only allowed types";
        } else {
            $lat = '';
            $long = '';
            if ($rq->lat_lng) {
                $lat_lng = explode(",", $rq->lat_lng);
                $lat = $lat_lng[0];
                $long = $lat_lng[1];
            }

            $info['name'] = $rq->name;
            $info['email'] = $rq->email;
            $info['contact'] = $rq->contact;
            $info['location'] = $rq->location;
            $info['comment'] = $rq->comments;
            $info['latitude'] = $lat;
            $info['longitude'] = $long;
            // $userdetail = session('userdetails');;
            $info['user_id'] = 0; //$userdetail['user_id'];
            $info['created_at'] = date("Y-m-d H:i:s");

            $file_ins = [];
            if(isset($rq->image)){
                foreach ($rq->image as $img) {
                    $dir = public_path('valuation');
                    $file_name = time() . str_replace(' ', '_', $img->getClientOriginalName());
                    $img->move($dir, $file_name);
                    $file_ins[] = ['type' => 1, 'file_name' => $file_name];
                }
            }
            if(isset($rq->document)){
                foreach ($rq->document as $doc) {
                    $dir = public_path('valuation');
                    $file_name = time() . str_replace(' ', '_', $doc->getClientOriginalName());
                    $doc->move($dir, $file_name);
                    $file_ins[] = ['type' => 2, 'file_name' => $file_name];
                }
            }
            

            // if ($file = $rq->file("image")) {
            //     $dir = public_path('valuation');
            //     $file_name = time() . $file->getClientOriginalName();
            //     $file->move($dir, $file_name);
            //     $info['image'] = $file_name;
            // }
            // if ($file = $rq->file("document")) {
            //     $dir = public_path('valuation');
            //     $file_name = time() . $file->getClientOriginalName();
            //     $file->move($dir, $file_name);
            //     $info['document'] = $file_name;
            // }
            if ($id = DB::table('valuations')->insertGetId($info)) {
                foreach($file_ins as $fin){
                    $fin['valuation_id'] = $id;
                    DB::table('valuation_docs')->insert($fin);
                }
                $status = "1";
                $message = "Successfully submitted";
            } else {
                $status = "0";
                $message = "Something went wrong";
            }
        }
        return response()->json(['status' => $status, 'message' => $message]);
    }
    public function contacts()
    {
        return view('frontend.contact');
    }
    public function save_contact_form(Request $rq)
    {
        $info['name'] = $rq->name;
        $info['email'] = $rq->email;
        $info['mobile_number'] = $rq->contact;
        $info['message'] = $rq->comments;
        $info['date'] = date("Y-m-d H:i:s");
        if (DB::table('contact_us')->insert($info)) {
            $status = "1";
            $message = "Successfully submitted";
        } else {
            $status = "0";
            $message = "Something went wrong";
        }
        return response()->json(['status' => $status, 'message' => $message]);
    }
    public function save_enquiry(Request $rq)
    {
        // $userdetail = session('userdetails');
        // if(!$userdetail){
        //     return response()->json(['status' => '0', 'message' => 'Please login to continue']);
        // }
        $info['name'] = $rq->name;
        $info['email'] = $rq->email;
        $info['contact'] = $rq->contact;
        $info['property_id'] = $rq->property_id;
        $info['message'] = $rq->message;
        // $userdetail = session('userdetails');;
        $info['user_id'] = 0; //$userdetail['user_id'];
        $info['created_at'] = date("Y-m-d H:i:s");

        if (DB::table('property_enquiries')->insert($info)) {
            $status = "1";
            $message = "Successfully submitted";
        } else {
            $status = "0";
            $message = "Something went wrong";
        }
        return response()->json(['status' => $status, 'message' => $message]);
    }
    public function blog()
    {
        return view('frontend.blog');
    }
    public function blog_details($id)
    {
        return view('frontend.blog_details');
    }
    public function save_subscribe(Request $rq)
    {
        $info['subscribe_email'] = $rq->sub_email;
        $info['created_date'] = date("Y-m-d H:i:s");
        if (DB::table('subscribe_email')->where('subscribe_email', $rq->sub_email)->first()) {
            $status = "0";
            $message = "Email already subscribed";
        } else {
            if (DB::table('subscribe_email')->insert($info)) {
                $status = "1";
                $message = "Successfully subscribed";
            } else {
                $status = "0";
                $message = "Something went wrong";
            }
        }
        return response()->json(['status' => $status, 'message' => $message]);
    }
    public function about_us()
    {
        $content = Article::where("articles_id", 1)->first();
        return view('frontend.about_us', compact('content'));
    }

    public function privacy_policy()
    {
        $content = Article::where("articles_id", 2)->first();
        return view('frontend.privacy_policy', compact('content'));
    }

    public function terms_of_use()
    {
        $content = Article::where("articles_id", 3)->first();
        return view('frontend.terms_of_use', compact('content'));
    }
    
     public function sync(Request $request)
    {
        
        exec("php ".base_path()."/artisan sync:data > /dev/null 2>&1 & ");
        echo 'executed';
    }
    
     public function team()
    {
        
        $team  = DB::table('team_category')->select('team_members.*','team_category.category_name')->join('team_members','team_members.category_id','team_category.id')->orderBy('team_members.category_id','asc')->orderBy('team_members.numorder','asc')->get(); 
        $details = [];
        if(!empty($team)) {
            foreach ($team as $key => $value) {
               $details[$value->category_id][] = $value; 
            }
        } 
        return view('frontend.team', compact('details'));
    }
}
