<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use DB;
use Illuminate\Http\Request;
use App\Models\Webuser;
use Validator;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Auth;

use Illuminate\Foundation\Auth\User as Authenticatable;
class UserController extends Controller
{
    public function signup(Request $request)
    {
        $errors  = '';
        $validator = Validator::make($request->all(),[
            'name'      => 'required',
            'password'      => 'required',
            'email'         => 'required|email',
            'phone_number'         => 'required',
            'dial_code'         => 'required',
        ]);


        
        
        if ($validator->fails()) {
            $status = "0";
            $message = "Validation error occured";
            $errors = $validator->messages();
        }else{
            $checkExist = Webuser::where('user_email_id',$request->email)->get()->toArray();
            if(!empty($checkExist )) {
                $status = "2";
                $message = "Email already exist";
                $errors = array('email'=>array(0=>"Email already exist"));
            } else {
                $userObj = new Webuser;
                $userObj->user_first_name = $request->name;
                $userObj->user_email_id = $request->email;
                $userObj->user_password = Hash::make($request->password);
                $userObj->phone_number = $request->phone_number;
                $userObj->dial_code = $request->dial_code;
                
                $userObj->user_type  = "U";
                $userObj->user_status  = 1;
                $userObj->save();
                $status = "1";
                $message = "Successfully Registered";
            }

        }
        return response()->json(['status' => $status, 'message' => $message,'errors'=>$errors]);
    }

    public function signin(Request $request) {
        $status  = "0";
        $message = "";
        $o_data  = [];
        $errors  = '';
        $redirectUrl = '';

        $validator = Validator::make($request->all(),[
            'password'      => 'required',
            'email'         => 'required|email',
        ]);


        // $validator = Validator::make($request->all(), $rules);
        
        if ($validator->fails()) {
            $status = "0";
            $message = "Validation error occured";
            $errors = $validator->messages();
        }else{
            $user = Webuser::select('user_password','user_id','user_email_id','user_first_name','dial_code','phone_number')->where('user_email_id',$request->email)->first();
             
            if ($user != "") {
                if (Hash::check($request->password, $user->user_password)) {
               
                    $status  = "1";
                    $message = "Loged in successfully";
                    $redirectUrl = url('/');  
                    $request->session()->put('userdetails',$user->toArray()); 
                }else{
                    $message = "invalid credentials provided";
                }
              
            }else{
                $message = "invalid credentials provided";
            }
          
        }
        

        echo json_encode(['status'=>$status,'message'=>$message,'errors'=>$errors,'redirectUrl'=>$redirectUrl]);
    }

    public function profile(Request $request)
    {
       // print_r(session('userdetails')); 
        $userdetail = session('userdetails');
        if(!$userdetail){
            return redirect("/")->with("fail","You must be loged in to continue...");
        }
        return view('frontend.myaccount.profile',compact('userdetail'));
    }

     public function logout(){
        session()->pull("userdetails");
        return redirect("/")->with("fail","You must be loged in to continue...");
    }
}