<?php

namespace App\Models;

use DB;
use Illuminate\Database\Eloquent\Model;
use Session;

class HomeModel extends Model
{
    public static function get_properties($where = [], $filter = [])
    {
        $properties = DB::table('property')->from('property')->select('property.*', 'vehicle_type_name')->join('vehicle_types', 'vehicle_types.vehicle_type_id', '=', 'category_type')->where($where)->distinct();
        // if (isset($filter['lat']) && $filter['lat'] && isset($filter['long']) && $filter['long']) {
        //     $lat = $filter['lat'];
        //     $long = $filter['long'];
        //     $distance =
        //         "6371 * acos (
        //     cos ( radians( CAST (property.latitude AS double precision) ) )
        //     * cos( radians( CAST ({$lat} AS double precision) ) )
        //     * cos( radians( CAST ({$long} AS double precision) ) - radians( CAST (property.longitude AS double precision) ) )
        //     + sin ( radians( CAST (property.latitude AS double precision) ) )
        //     * sin( radians ( CAST ({$lat} AS double precision) ) )
        // )";
        //     $properties->selectRaw("$distance as distance")->whereRaw("$distance<=10");
        // }
        if (isset($filter['sort']) && $filter['sort']) {
            if ($filter['sort'] == "lth") {
                $properties->orderBy('property_price', 'asc');
            } else {
                $properties->orderBy('property_price', 'desc');
            }
        } else {
            if(isset($filter['sort_order']) && $filter['sort_order']){
                $properties->orderBy('sort_order','asc')->orderBy('property_created_date','DESC');
            }else{
                $properties->orderBy('property_created_date', 'desc');
            }            
        }
        if (!empty($filter)) {
            
            if (Session::has('_set_user_search_location')){

                $properties->Where(function ($_lo_search) {

                    $_get_user_search_location = json_decode(Session::get('_set_user_search_location'));
                    
                    $j=1;
                    foreach($_get_user_search_location as $key => $i_value){

                        if($i_value){

                            if($j==1){
                                $_lo_search->where('property_location', "ilike", "%" . $i_value->name . "%");
                            }
                            else
                            {
                                $_lo_search->orWhere('property_location', "ilike", "%" . $i_value->name . "%");
                            }
                            
                        }

                    $j++;}
                    
                });
            }
            
            if (isset($filter['amenities']) && $filter['amenities']) {
                $amt = explode(",", $filter['amenities']);
                $properties->join("property_amenities", 'property_amenities.property_id', '=', 'property.property_id')->whereIn('property_amenities.amenities_id', $amt);

            }
            if (isset($filter['category_type']) && $filter['category_type']) {
                $properties->where('category_type', $filter['category_type']);
            }
            if (isset($filter['property_type']) && $filter['property_type']) {
                $properties->where('property_type', $filter['property_type']);
            }
            if (isset($filter['search_text']) && $filter['search_text']) {
                $srch = $filter['search_text'];
                $properties->whereRaw("(property_name ilike '%$srch%')");
            }
            if (isset($filter['bedrooms']) && $filter['bedrooms']) {
                
                $bedrooms_exp = explode('-',$filter['bedrooms']);

                if (in_array("7", $bedrooms_exp))
                {
                    $properties->whereIn('property_bedroom', $bedrooms_exp);
                    $properties->orWhere('property_bedroom', '>',7);
                }
                else
                {
                    $properties->whereIn('property_bedroom', $bedrooms_exp);
                }
                
                // $properties->where('property_bedroom', $filter['bedrooms']);
            }
            if (isset($filter['bathrooms']) && $filter['bathrooms']) {
                
                $bathrooms_exp = explode('-',$filter['bathrooms']);

                if (in_array("7", $bathrooms_exp))
                {
                    $properties->whereIn('property_bathroom', $bathrooms_exp);
                    $properties->orWhere('property_bathroom', '>',7);
                }
                else
                {
                    $properties->whereIn('property_bathroom', $bathrooms_exp);
                }
                
                // $properties->where('property_bathroom', $filter['bathrooms']);
            }

            if (isset($filter['min_price']) && isset($filter['max_price'])) {
                $min_price = $filter['min_price'];
                $max_price = $filter['max_price'];
                $properties->whereBetween('property_price', [$min_price, $max_price]);
            }
            if (isset($filter['min_area']) && isset($filter['max_area'])) {
                $min_area = $filter['min_area'];
                $max_area = $filter['max_area'];
                $properties->whereBetween('property_sqft', [$min_area, $max_area]);
                // $properties->whereBetween(DB::raw('CAST (property.property_sqft AS integer)'), [$min_area, $max_area]); 
            }
            
            
        }
        return $properties;
    }
}
