<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\VehicleType;
use App\Models\VehicleCategory;
use DB;
class Property extends Model
{
    use HasFactory;

    protected $table = 'property';
    protected $primaryKey = 'property_id';
    public $timestamps = false;

    // /**
    //  * The attributes that are mass assignable.
    //  *
    //  * @var array<int, string>
    //  */
    // protected $fillable = [
    //     'amenities_name'
    // ];

    public function vehicleType()
    {
        return $this->hasOne(VehicleType::class, 'vehicle_type_id', 'category_type');
    }

    public function vehicleCategory()
    {
        return $this->hasOne(VehicleCategory::class, 'vehicle_category_id', 'property_type');
    }
    public static function sort_item($item=[]){
        if( !empty($item) ){
            DB::beginTransaction();
            try {
                    $i=0;
                    foreach( $item as $key ){
                        Property::where('property_id', $key)
                            ->update(['sort_order' => $i]);
                        $i++;
                    }
                    DB::commit();
                return 1;
            } catch (\Exception $e) {
                DB::rollback();
                return 0;
            }
        }else{
            return 0;
        }
    }
}
