@extends('admin.layouts.master')
@section('headerFiles')
    <link rel="stylesheet" type="text/css" href="{{ asset('admin-assets/plugins/table/datatable/datatables.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin-assets/plugins/table/datatable/custom_dt_zero_config.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin-assets/plugins/jqvalidation/custom-jqBootstrapValidation.css') }}">
    <link href="{{ asset('admin-assets/plugins/notification/toastr/toastr.min.css') }}" rel="stylesheet" type="text/css" />
    <!-- END GLOBAL MANDATORY STYLES -->    
    <style type="text/css">
        .error{
            color: red;
            display: block;
        }

    </style>
@endsection

@section('content')

<div class="container">
    <div class="page-header">
        <div class="page-title">
            <h3>{{ $data["pageTitle"] }}</h3>
        </div>
    </div>

    <div class="row layout-spacing ">

        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12  layout-spacing">
            <div class="statbox widget box box-shadow">
                
                <div class="widget-content widget-content-area">
                    <form method="post" class="form-validate" method="post">
                        @csrf
                        <div class="form-group">
                            <label for="t-text">Amenities Name</label>
                            <input type="text" name="amenities_name" id="amenities_name" value="{{ $data["id"] != 0 ? $data["data"]->amenities_name : ""}}" class="form-control" placeholder="Enter aminities name" required>
                        </div>
                        @if ($data["id"] != 0)
                        <div class="form-group">
                            <label for="t-text">Status</label>                                            
                            <select class="custom-select mb-4" name="status" id="status" required>
                                <option value="1" {{ $data["id"] != 0 && $data["data"]->status == 1 ? "selected" : ""}} >Active</option>
                                <option value="0" {{ $data["id"] != 0 && $data["data"]->status == 0 ? "selected" : ""}} >Inactive</option>
                            </select>                            
                        </div>
                        @endif
                        <div class="form-group">
                            <input type="submit" name="txt" class="mt-4 btn btn-button-7">
                            <input type="hidden" name="id" id="id" value="{{ $data["id"] }}" >
                        </div>
                    </form>
                </div>
            </div>
        </div>
        
    </div>

</div>

@endsection

@section('footerJs')
<script src="{{ asset('admin-assets/plugins/jqvalidation/jqBootstrapValidation-1.3.7.min.js') }}"></script>
<script src="{{ asset('admin-assets/plugins/jqvalidation/jqBootstrapValidation-1.3.7.min.js') }}"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.3/jquery.validate.js"></script>
<script src="{{ asset('admin-assets/plugins/notification/toastr/toastr.min.js') }}"></script>
<script>
    // Toaster options
    toastr.options = {
        "closeButton": false,
        "debug": false,
        "newestOnTop": false,
        "progressBar": false,
        "rtl": false,
        "positionClass": "toast-top-right",
        "preventDuplicates": false,
        "onclick": null,
        "showDuration": 300,
        "hideDuration": 1000,
        "timeOut": 1000,
        "extendedTimeOut": 1000,
        "showEasing": "swing",
        "hideEasing": "linear",
        "showMethod": "fadeIn",
        "hideMethod": "fadeOut"
    }

    $(".form-validate").submit(function(e) {
        e.preventDefault();
    }).validate({
        rules: {           
            amenities_name: "required"            
        },
        messages: {            
            amenities_name: "Please enter aminities name"
        },
        submitHandler: function(form) { 
            $.ajax({
                type:'POST',
                url: "{{ route("admin.amenities.add_edit_save")}}",
                data:{
                    '_token': $('input[name=_token]').val(),
                    'amenities_name': $("#amenities_name").val(),
                    'status': $("#status").val(),
                    'id': $("#id").val(),
                },
                success: function(response) {
                    if(response.success){
                        toastr["success"](response.message);
                        setTimeout(function(){ 
                            window.location.href = "{{ route("admin.amenities.list")}}";
                        }, 2000);                        
                    } else {
                        toastr["error"](response.message);
                    }
                }            
            });
        }
    });
</script>

@endsection