@extends('admin.layouts.master')
@section('headerFiles')
    <link rel="stylesheet" type="text/css" href="{{ asset('admin-assets/plugins/table/datatable/datatables.css') }}">
    <link rel="stylesheet" type="text/css"
        href="{{ asset('admin-assets/plugins/table/datatable/custom_dt_zero_config.css') }}">
    <link rel="stylesheet" type="text/css"
        href="{{ asset('admin-assets/plugins/jqvalidation/custom-jqBootstrapValidation.css') }}">
    <link href="{{ asset('admin-assets/plugins/notification/toastr/toastr.min.css') }}" rel="stylesheet"
        type="text/css" />
        <link href="{{ asset('admin-assets/plugins/iconpicker/fontawesome-5.7.2/css/all.css') }}" rel="stylesheet">
        <link href="{{ asset('admin-assets/plugins/iconpicker/fontawesome-iconpicker.min.css') }}" rel="stylesheet">
    <!-- END GLOBAL MANDATORY STYLES -->
    <style type="text/css">
        .error {
            color: red;
            display: block;
        }

    </style>
@endsection

@section('content')

    <div class="container">
        <div class="page-header">
            <div class="page-title">
                <h3>{{ $data['pageTitle'] }}</h3>
            </div>
        </div>

        <div class="row layout-spacing ">

            <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12  layout-spacing">
                <div class="statbox widget box box-shadow">

                    <div class="widget-content widget-content-area">
                        <form method="post" class="form-validate" method="post" id="frm" enctype="multipart/form-data">
                            @csrf
                            <div class="row layout-spacing ">

                                <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-6">
                                    <div class="form-group">
                                        <label for="t-text"> Title</label>
                                        <input type="text" name="title" id="title"
                                            value="{{ $data['id'] != 0 ? $data['data']->title : '' }}"
                                            class="form-control" placeholder="Enter Title" required>
                                    </div>
                                </div>
                                <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-6">
                                    <div class="form-group">
                                        <label for="t-text">Icon</label>
                                        <input type="text" name="icon" id="icon"
                                            value="{{ $data['id'] != 0 ? $data['data']->icon : '' }}"
                                            class="form-control icon-picker iconpicker-element iconpicker-input" placeholder="Enter Icon" required>
                                    </div>
                                </div>
                            </div>
                            <div class="row layout-spacing ">

                                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12  ">
                                    <div class="form-group">
                                        <label for="t-text">Description</label>
                                        <input type="text" name="description" id="description"
                                            value="{{ $data['id'] != 0 ? $data['data']->description : '' }}"
                                            class="form-control" placeholder="Enter Description" required>
                                    </div>
                                </div>
                            </div>



                            <div class="form-group">
                                <input type="submit" name="txt" class="mt-4 btn btn-button-7">
                                <input type="hidden" name="id" id="id" value="{{ $data['id'] }}">
                            </div>
                        </form>
                    </div>
                </div>
            </div>

        </div>

    </div>

@endsection

@section('footerJs')
    <script src="{{ asset('admin-assets/plugins/jqvalidation/jqBootstrapValidation-1.3.7.min.js') }}"></script>
    <script src="{{ asset('admin-assets/plugins/jqvalidation/jqBootstrapValidation-1.3.7.min.js') }}"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.3/jquery.validate.js"></script>
    <script src="{{ asset('admin-assets/plugins/notification/toastr/toastr.min.js') }}"></script>
    <script src="{{ asset('admin-assets/plugins/iconpicker/fontawesome-iconpicker.min.js') }}"></script>
    <script>
        $('.icon-picker').iconpicker();
        // Toaster options
        toastr.options = {
            "closeButton": false,
            "debug": false,
            "newestOnTop": false,
            "progressBar": false,
            "rtl": false,
            "positionClass": "toast-top-right",
            "preventDuplicates": false,
            "onclick": null,
            "showDuration": 300,
            "hideDuration": 1000,
            "timeOut": 1000,
            "extendedTimeOut": 1000,
            "showEasing": "swing",
            "hideEasing": "linear",
            "showMethod": "fadeIn",
            "hideMethod": "fadeOut"
        }

        $(".form-validate").submit(function(e) {
            e.preventDefault();
        }).validate({
            rules: {
                title: "required",
                icon: "required",
                description: "required"
            },
            messages: {
                title: "Please enter ftitle",
                icon: "Please enter icon",
                description: "Please enter description"
            },
            submitHandler: function(form) {
                var formData = new FormData($('#frm')[0]);
                $.ajax({
                    type: 'POST',
                    url: "{{ route('admin.why_choose_us.add_edit_save') }}",
                    enctype: 'multipart/form-data',

                    data: formData,
                    processData: false,
                    contentType: false,
                    cache: false,
                    timeout: 600000,
                    success: function(response) {
                        if (response.success) {
                            toastr["success"](response.message);
                            setTimeout(function() {
                                window.location.href =
                                    "{{ route('admin.why_choose_us') }}";
                            }, 2000);
                        } else {
                            toastr["error"](response.message);
                        }
                    }
                });
            }
        });
    </script>

@endsection
