@extends('admin.layouts.master')
@section('headerFiles')
    <link rel="stylesheet" type="text/css" href="{{ asset('admin-assets/plugins/table/datatable/datatables.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin-assets/plugins/table/datatable/custom_dt_zero_config.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin-assets/plugins/jqvalidation/custom-jqBootstrapValidation.css') }}">
    <link href="{{ asset('admin-assets/plugins/notification/toastr/toastr.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('admin-assets/plugins/editors/tinymce/stylesheet.css') }}" rel="stylesheet" type="text/css" />
    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
    <!-- END GLOBAL MANDATORY STYLES -->    
    <style type="text/css">
        .error{
            color: red;
            display: block;
        }
        .select2-container .select2-selection--multiple{
            min-height: 70px;
        }
    </style>
@endsection

@section('content')

<div class="container">
    <div class="page-header">
        <div class="page-title">
            <h3>{{ $data["pageTitle"] }}</h3>
        </div>
    </div>

    <div class="row layout-spacing ">

        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12  layout-spacing">
            <div class="statbox widget box box-shadow">                
                <div class="widget-content widget-content-area" style="height: inherit">
                    <form method="post" class="form-validate" method="post" data-parsley-validate="true">
                        @csrf

                        <div class="form-group row">
                            <div class="col-md-6 col-sm-12">
                                <label for="t-text">Category Type</label>                                            
                                <select class="custom-select mb-4" name="category_type" id="category_type" required>
                                    <option value="">Select Category Type</option>
                                    @foreach ($data['category_types'] as $cateType)
                                    <option value="{{ $cateType->vehicle_type_id }}" {{ $data["id"] != 0 && $data["data"]->category_type == $cateType->vehicle_type_id ? "selected" : ""}} >{{ $cateType->vehicle_type_name }}</option>    
                                    @endforeach                                
                                </select>
                            </div>
                            <div class="col-md-6 col-sm-12">
                                <label for="t-text">Property Type</label>                                            
                                <select class="custom-select mb-4" name="property_type" id="property_type" required>
                                    <option value="">Select Property Type</option>
                                    @foreach ($data['property_types'] as $propType)
                                    <option value="{{ $propType->vehicle_category_id }}" {{ $data["id"] != 0 && $data["data"]->property_type == $propType->vehicle_category_id ? "selected" : ""}} >{{ $propType->vehicle_category_name }}</option>    
                                    @endforeach                                
                                </select>
                            </div>                           
                        </div>
                        <div class="form-group row" id="rent_type_div" style="display: none;">
                            <div class="col-md-12 col-sm-12">
                                <label for="t-text">Rent Type</label>                                            
                                <select class="custom-select mb-4" name="rent_type" id="rent_type">
                                    <option value="Yearly">Yearly</option>
                                    <option value="Monthly">Monthly</option>
                                    <option value="Weekly">Weekly</option>
                                    <option value="Daily">Daily</option>                                
                                </select>
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-md-12 col-sm-12">
                                <label for="t-text">Title</label>                                            
                                <input type="text" name="property_name" id="property_name" value="{{ $data["id"] != 0 ? $data["data"]->property_name : ""}}" class="form-control" placeholder="Enter property title" required>
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-md-6 col-sm-12">
                                <label for="t-text">Bedroom</label>                                            
                                <input type="text" name="property_bedroom" id="property_bedroom" value="{{ $data["id"] != 0 ? $data["data"]->property_bedroom : ""}}" class="form-control onlynumber" placeholder="Enter bedroom" required data-parsley-type="digits">
                            </div>
                            <div class="col-md-3 col-sm-12" style="margin-top: 32px;">
                                <label for="t-text">Maid Room</label>
                            </div>
                            <div class="col-md-3 col-sm-12" style="margin-top: 32px;">                                                                            
                                <input type="checkbox" class="form-control" name="bedroom_maids" id="bedroom_maids" {{ $data["id"] != 0 && $data["data"]->bedroom_maids == 1 ? "checked" : ""}}>                                
                            </div>                           
                        </div>
                        <div class="form-group row">
                            <div class="col-md-6 col-sm-12">
                                <label for="t-text">Bathroom</label>                                            
                                <input type="text" name="property_bathroom" id="property_bathroom" value="{{ $data["id"] != 0 ? $data["data"]->property_bathroom : ""}}" class="form-control onlynumber" placeholder="Enter bathroom" required data-parsley-type="digits">
                            </div>
                            <div class="col-md-6 col-sm-12">
                                <label for="t-text">Size (Squre Feet)</label>                                            
                                <input type="text" name="property_sqft" id="property_sqft" value="{{ $data["id"] != 0 ? $data["data"]->property_sqft : ""}}" class="form-control onlynumber" placeholder="Enter property square feet" required data-parsley-type="digits">
                            </div>                           
                        </div>
                        <div class="form-group row">
                            <div class="col-md-12 col-sm-12">
                                <label for="t-text">Description</label>
                                <textarea id="property_desc" name="property_desc" class="form-control">{{ $data["id"] != 0 ? $data["data"]->property_desc : "" }}</textarea>
                            </div>                            
                        </div>
                        <div class="form-group row">
                            <div class="col-md-6 col-sm-12">
                                <label for="t-text">Completion Level</label>                                            
                                <input type="text" name="completion_level" id="completion_level" value="{{ $data["id"] != 0 ? $data["data"]->completion_level : ""}}" class="form-control" placeholder="Enter completion level">
                            </div>
                            <div class="col-md-6 col-sm-12">
                                <label for="t-text">Service Charge</label>                                            
                                <input type="text" name="service_charges" id="service_charges" value="{{ $data["id"] != 0 ? $data["data"]->service_charges : ""}}" class="form-control onlynumber" placeholder="Enter service charges" data-parsley-type="digits">
                            </div>                           
                        </div>
                        <div class="form-group row">
                            <div class="col-md-6 col-sm-12">
                                <label for="t-text">Amenities</label>                                            
                                <select class="form-control" name="amenities[]" id="amenities" multiple required data-parsley-errors-container="#am_err">
                                    @php
                                        $property_amenities = [];
                                        if($data["id"] != 0)
                                            $property_amenities = explode(',', $data["data"]->property_amenities)
                                        
                                    @endphp
                                    <option value="">Select Amenties Type</option>
                                    @foreach ($data['amenities_list'] as $value)
                                    <option value="{{ $value->amenities_id }}" {{ ($data["id"] != 0 && in_array($value->amenities_id, $property_amenities)) ? "selected" : ""}} >{{ $value->amenities_name }}</option>    
                                    @endforeach                                
                                </select>
                                <span id="am_err"></span>
                            </div>
                            <div class="col-md-6 col-sm-12">
                                <label for="t-text">Price</label>                                            
                                <input type="text" name="property_price" id="property_price" value="{{ $data["id"] != 0 ? $data["data"]->property_price : ""}}" class="form-control onlynumber" placeholder="Enter property price" required data-parsley-type="digits">
                            </div>                           
                        </div>
                        <div class="form-group row">
                            <div class="col-md-12 col-sm-12">
                                <label class="control-label">Enter the location or Drag the marker</label>
                                <input type="text" name="txt_location" id="txt_location" value="{{ $data["id"] != 0 ? $data["data"]->property_location : ""}}" class="form-control autocomplete" placeholder="Property location" required>
                                {{-- <input type="hidden" id="latitude" name="latitude[]" value="{{ $data["id"] != 0 ? $data["data"]->latitude : "25.204819"}}">
                                <input type="hidden" id="longitude" name="longitude[]" value="{{ $data["id"] != 0 ? $data["data"]->longitude : "55.270931"}}"> --}}
                                <input type="hidden" id="location" name="location">
                            </div>
                            
                        </div>
                        <div class="form-group row">
                            <div class="col-md-12 col-sm-12">                                
                                <div id="map_canvas_branch" style="height: 200px;width:100%;"></div>
                            </div>
                        </div>
                        <div class="form-group row">
                            {{-- <div class="col-md-6 col-sm-12">
                                <label for="t-text">Premium</label>                                            
                                <select class="custom-select mb-4" name="is_premium" id="is_premium">
                                    <option value="0" {{ $data["id"] != 0 && $data["data"]->is_premium == 0 ? "selected" : ""}}>No</option>
                                    <option value="1" {{ $data["id"] != 0 && $data["data"]->is_premium == 1 ? "selected" : ""}}>Yes</option>                                
                                </select>
                            </div> --}}
                            <div class="col-md-3 col-sm-12" style="margin-top: 32px;">
                                <label for="t-text">Featured</label>
                            </div>
                            <div class="col-md-3 col-sm-12" style="margin-top: 32px;">                                
                                <input type="checkbox" class="form-control" name="featured" id="featured" {{ $data["id"] != 0 && $data["data"]->featured == 1 ? "checked" : ""}}>
                            </div>                           
                        </div>
                        
                        <div class="form-group row">
                            <div class="col-md-6 col-sm-12">
                                <label for="t-text">Custom URL</label>                                            
                                <input type="text" name="property_custom_url" id="property_custom_url" value="{{ $data["id"] != 0 ? $data["data"]->property_custom_url : ""}}" class="form-control" placeholder="Enter meta title" required>
                            </div>

                            <div class="col-md-6 col-sm-12">
                                <label for="t-text">Meta Title</label>                                            
                                <input type="text" name="property_meta_title" id="property_meta_title" value="{{ $data["id"] != 0 ? $data["data"]->property_meta_title : ""}}" class="form-control" placeholder="Enter meta title" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <div class="col-md-6 col-sm-12">
                                <label for="t-text">Meta Keyword</label>                                            
                                <input type="text" name="property_meta_keyword" id="property_meta_keyword" value="{{ $data["id"] != 0 ? $data["data"]->property_meta_keyword : ""}}" class="form-control" placeholder="Enter meta keyword" required>
                            </div>

                            <div class="col-md-6 col-sm-12">
                                <label for="t-text">Meta Description</label>                                            
                                <textarea name="property_meta_description" id="property_meta_description" class="form-control" required>{{ $data["id"] != 0 ? $data["data"]->property_meta_description : ""}}</textarea>
                            </div>
                        </div>
                        
                        <div class="form-group row">
                            <div class="col-md-6 col-sm-12">
                                <label for="t-text">Status</label>                                            
                                <select class="custom-select mb-4" name="status" id="status">
                                    <option value="1" {{ $data["id"] != 0 && $data["data"]->property_status == 1 ? "selected" : ""}}>Active</option>
                                    <option value="0" {{ $data["id"] != 0 && $data["data"]->property_status == 0 ? "selected" : ""}}>Inactive</option>                                
                                </select>
                            </div>
                        </div>
                        @if(!empty($data['images']))
                        <div class="form-group row">
                            <label class="col-sm-3 form-control-label text-xs-right">Images: </label>
                            <div class="col-sm-9">
                               
                                </div>
                                @foreach ($data['images'] as $img)
                                    
                               
                                                    <div style="margin-left: 20px; float: left;margin-top: 30px;">
                                    <img src="{{ asset('property/images/'.$img->property_images_name) }}" style="width:150px;">
                                    <a class="remove" href="javascript:;#" onclick="deleteSingleImage({{$img->property_images_id}})" >
                                        <i class="flaticon-delete removeThis" style="color: red;" for="152"></i>
                                    </a>
                                    </div>
                                    @endforeach
                                                   
                                                
                        </div>
                        @endif
                        

                        <div class="form-group row">
                            <div class="col-md-12 col-sm-12">
                                <input type="submit"  class="mt-4 btn btn-button-7">
                                <input type="hidden" name="id" id="id" value="{{ $data["id"] }}" >
                            </div>                            
                        </div>

                    </form>
                </div>
            </div>
        </div>
        
    </div>

</div>

@endsection

@section('footerJs')
{{-- <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyB8QkOt74HuPCD8N6m1OfwSzyb0NWnjorg&v=weekly&libraries=places" async defer></script> --}}
<script src="{{ asset('admin-assets/plugins/jqvalidation/jqBootstrapValidation-1.3.7.min.js') }}"></script>
<script src="{{ asset('admin-assets/plugins/jqvalidation/jqBootstrapValidation-1.3.7.min.js') }}"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.3/jquery.validate.js"></script>
<script src="{{ asset('admin-assets/plugins/editors/tinymce/tinymce.min.js') }}"></script>
<script src="{{ asset('admin-assets/plugins/editors/tinymce/editor_tinymce.js') }}"></script>
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>

<script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?key=AIzaSyB8QkOt74HuPCD8N6m1OfwSzyb0NWnjorg&v=weekly&libraries=places"></script>
<script>
    tinymce.init({
        selector: '#property_desc'
      });

    $(document).ready(function(){
        $("#amenities").select2({
            maximumSelectionLength: 20
        });
        $("#category_type").trigger('change');
    });

    $("#category_type").change(function(){       
       var category_type = $("#category_type").val();    
       if(category_type == 2){
           $("#rent_type_div").show();
       } else {
           $("#rent_type_div").hide();
       }       
       $("#rent_type").val("{{ $data["id"] != 0 ? $data["data"]->rent_type : 'Yearly' }}");
       
    });
    

    $(".form-validate").submit(function(e) {
        e.preventDefault();
            $(".form-validate").parsley().validate();
            if ($(".form-validate").find('.parsley-error').length !== 0) {
                return false;
            }
            $.ajax({
                type:'POST',
                url: "{{ route("admin.property.add_edit_save")}}",
                data: $('.form-validate').serialize()+"&property_desc="+tinymce.get("property_desc").getContent(),
                success: function(response) {
                    // if(response.success){
                    //     toastr["success"](response.message);
                    //     setTimeout(function(){ 
                    //         window.location.href = "{{ route("admin.property.list")}}";
                    //     }, 2000);                        
                    // } else {
                    //     toastr["error"](response.message);
                    // }
                    
                    if(response.success == 1){
                        toastr["success"](response.message);
                        setTimeout(function(){ 
                            window.location.href = "{{ route("admin.property.list")}}";
                        }, 2000);                        
                    }
                    else if(response.success == 2){
                        toastr["error"](response.message);                       
                    } 
                    else 
                    {
                        toastr["error"](response.message);
                    }
                }            
            });
    });
    $(document).on("keyup", ".digitsOnly", function () {
        this.value = this.value.replace(/[^0-9\.]/g,'');
    });


    var map;
    var usermarker;
    var geocoder;
    var currentLat = <?php echo $data["id"] != 0 ? $data["data"]->latitude : 25.204819 ?>;
    var currentLong = <?php echo $data["id"] != 0 ? $data["data"]->longitude : 55.270931 ?>;
    $("#location").val(currentLat+","+currentLong);

    currentlocation = {
        "lat": currentLat,
        "lng": currentLong,
    };
    console.log(currentlocation)

    function initMap2() {
        console.log("init map 2")
        map2 = new google.maps.Map(document.getElementById('map_canvas_branch'), {
            center: {
                lat: currentlocation.lat,
                lng: currentlocation.lng
            },
            zoom: 14,
            gestureHandling: 'greedy',
            mapTypeControl: false,
            mapTypeControlOptions: {
                style: google.maps.MapTypeControlStyle.DROPDOWN_MENU
            },
            streetViewControlOptions: {
                position: google.maps.ControlPosition.LEFT_BOTTOM
            },
        });

        geocoder = new google.maps.Geocoder();

        // geocoder2 = new google.maps.Geocoder;
        usermarker = new google.maps.Marker({
            position: {
                lat: currentlocation.lat,
                lng: currentlocation.lng
            },
            map: map2,
            draggable: true,

            animation: google.maps.Animation.BOUNCE
        });


        //map click
        google.maps.event.addListener(map2, 'click', function(event) {
            updatepostition2(event.latLng, "movemarker");
            //drag end event
            usermarker.addListener('dragend', function(event) {
                // alert();
                updatepostition2(event.latLng, "movemarker");

            });
        });

        //drag end event
        usermarker.addListener('dragend', function(event) {
            // alert();
            updatepostition2(event.latLng);

        });
    }

    function geocodePosition(pos) {
        geocoder.geocode({
            latLng: pos
        }, function(responses) {
            if (responses && responses.length > 0) {
                usermarker.formatted_address = responses[0].formatted_address;
            } else {
                usermarker.formatted_address = 'Cannot determine address at this location.';
            }
            console.log(usermarker.formatted_address);
            $('#branch_address').text(usermarker.formatted_address);
        });
    }


    updatepostition2 = function(position, movemarker) {
        console.log(position);
        geocodePosition(position);
        usermarker.setPosition(position);
        map2.panTo(position);
        map2.setZoom(15);
        let createLatLong = position.lat()+","+position.lng();
        console.log("Address Lat/long="+createLatLong);
        $("#location").val(createLatLong);
    }

    function initAutocomplete2() {
        // Create the search box and link it to the UI element.
        var input2 = document.getElementById('txt_location');
        var searchBox2 = new google.maps.places.SearchBox(input2);

        map2.addListener('bounds_changed', function() {
            searchBox2.setBounds(map2.getBounds());
        });

        searchBox2.addListener('places_changed', function() {
            var places2 = searchBox2.getPlaces();

            if (places2.length == 0) {
                return;
            }
            $('#txt_location').val(input2.value)

            var bounds2 = new google.maps.LatLngBounds();
            places2.forEach(function(place) {
                if (!place.geometry) {
                    console.log("Returned place contains no geometry");
                    return;
                }

                updatepostition2(place.geometry.location);

                if (place.geometry.viewport) {
                    // Only geocodes have viewport.
                    bounds2.union(place.geometry.viewport);
                } else {
                    bounds2.extend(place.geometry.location);
                }
            });
            map2.fitBounds(bounds2);
        });
    }

    initMap2();
    initAutocomplete2();

    function deleteSingleImage(id){
        $.ajax({
            type:'POST',
            url: "{{ route("admin.property.delete.image") }}",
            data: "id="+id+"&_token={{ csrf_token() }}",
            success: function(response){
                if(response.success){
                    toastr["success"](response.message);
                    setTimeout(function(){ 
                        location.reload();
                    }, 1000);                        
                } else {
                    toastr["error"](response.message);
                }
            },
            error: function(){
                toastr["error"]("Something went wrong");
            }
        });
    }
    
    $('#property_custom_url').bind('keyup keypress blur', function(){  
    
        var myStr = $(this).val()
        myStr=myStr.toLowerCase();
        myStr=myStr.replace(/(^\s+|[^a-zA-Z0-9 ]+|\s+$)/g,"-");
        myStr=myStr.replace(/\s+/g, "-");

        $('#property_custom_url').val(myStr); 
    });
</script>

@endsection