@extends('admin.layouts.master')
@section('headerFiles')
    <link rel="stylesheet" type="text/css" href="{{ asset('admin-assets/plugins/table/datatable/datatables.css') }}">
    <link rel="stylesheet" type="text/css"
        href="{{ asset('admin-assets/plugins/table/datatable/custom_dt_zero_config.css') }}">

@endsection

@section('content')

    <div class="container">
        <div class="page-header">
            <div class="page-title">
                <h3>Property</h3>
            </div>
            <a href="{{ route('admin.property.add_edit', ['id' => 0]) }}" class="mt-5 btn btn-button-7"
                style="float: right;">+ Add New</a>

            <a href="{{ route('admin.property.sort') }}" class="mt-5 mr-1 btn btn-button-7" style="float: right;">Sort</a>
        </div>

        <div class="row layout-spacing ">

            <div class="col-xl-12 col-lg-12 col-sm-12  layout-spacing">
                <div class="statbox widget box box-shadow">
                    <div class="widget-content widget-content-area">

                        <div class="table-responsive mb-4">

                            <table id="zero-config" class="table table-striped table-hover table-bordered"
                                style="width:100%">
                                <thead>
                                    <tr>
                                        <th style="width: 150px;">Property</th>
                                        <th>Category Type</th>
                                        <th>Property Type</th>
                                        <th>Status</th>
                                        <th>Verified</th>
                                        <th>Published</th>
                                        <th>Actions</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($data['property'] as $row)
                                        <tr>
                                            <td>{{ $row->property_name }}</td>
                                            <td>
                                                @if ($row->vehicleType)
                                                    {{ $row->vehicleType->vehicle_type_name }}
                                                @endif
                                            </td>
                                            <td>
                                                @if ($row->vehicleCategory)
                                                    {{ $row->vehicleCategory->vehicle_category_name }}
                                                @endif
                                            </td>
                                            <td>
                                                {{ $row->property_status == 1 ? 'Active' : 'Inactive' }}
                                            </td>
                                            <td>
                                                <label class="switch s-icons s-outline  s-outline-success  mb-4 mr-2">
                                                    <input type="checkbox" @if ($row->verified) checked @endif class="verify_property"
                                                        url="{{ url('admin/verify_property/' . $row->property_id) }}">
                                                    <span class="slider round"></span>
                                                </label>
                                            </td>
                                            <td>{{ $row->property_created_date }}</td>
                                            <td class="align-center">
                                                <ul class="table-controls">
                                                    <li><a
                                                            href="{{ route('admin.property.add_edit', ['id' => $row->property_id]) }}"><i
                                                                class="flaticon-edit-fill-2"></i></a></li>
                                                    <li><a href="javascript:;"
                                                            onclick="showDeleteModal('{{ $row->property_id }}')"><i
                                                                class="flaticon-delete"></i></a></li>
                                                    <li><a href="javascript:;"
                                                            onclick="loadImageModal('{{ $row->property_id }}')"><i
                                                                class="flaticon-picture"></i></a></li>
                                                                <!-- <li><a href="javascript:;" onclick="loadVideoModal('{{ $row->property_id }}')"><i class="flaticon-video-fill"></i></a></li> -->
                                                </ul>
                                            </td>
                                        </tr>
                                    @endforeach
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>

    <!-- Delete Modal -->
    <div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <form method="post" class="form-validate form-delete" method="post">
                @csrf
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Delete Confirmation</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        Are you sure you want to delete this record?
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                        <button type="button" class="btn btn-danger deleteRecord">Delete</button>
                    </div>
                    <input type="hidden" name="id" id="id" value="">
            </form>
        </div>
    </div>
    </div>


    <!-- Image Modal -->
    <div class="modal fade" id="imageModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
        aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">

            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Image Upload</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <form method="post" class="form-validate img_upload_form"
                        action="{{ route('admin.property.image.upload') }}" method="post" enctype="multipart/form-data"
                        data-parsley-validate="true">
                        @csrf
                        <div class="form-group row" style="font-size:0.7rem !important;">
                            <div class="col-md-4 col-sm-12">
                                <label for="t-text">Image</label>
                                <input type="file" name="images[]" multiple id="image" class="form-control imgs"
                                    style="font-size:0.7rem !important;" required
                                    data-parsley-required-message="Select image" data-parsley-trigger="change"
                                    data-parsley-fileextension="jpg,png,jpeg"
                                    data-parsley-max-file-size-message="Max file size should be 2MB"
                                    data-parsley-max-file-size="2048"
                                    data-parsley-fileextension-message="Only files with type jpg,png,jpeg are supported"
                                    accept="image/*">
                                <span class="text-danger dim_err"></span>
                                <small class="text-info">Upload image with dimension 705X465</small>
                            </div>
                            <div class="col-md-4 col-sm-12">
                                <label for="t-text">Sort Order</label>
                                <input type="text" name="image_sort_order" id="image_sort_order"
                                    class="form-control onlynumber" style="font-size:0.7rem !important;" required
                                    data-parsley-required-message="Enter sort order">
                            </div>
                            <div class="col-md-4 col-sm-12">
                                <label for="t-text">&nbsp;</label>
                                <button type="submit" id="submit" class="btn btn-primary" style="margin-top: 20px;">Upload
                                    Image</button>
                            </div>
                        </div>
                        <input type="hidden" name="property_id" id="property_id" value="">
                    </form>
                    <form method="post" class="form-validate" id="changeImageOrder" method="post">
                        @csrf
                        <div class="form-group row">
                            <input type="hidden" name="img_property_id" id="img_property_id" value="">
                            <table id="zero-config" class="table table-striped table-hover table-bordered"
                                style="width:100%">
                                <thead>
                                    <tr>
                                        <th>Image</th>
                                        <th>Sort Order</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>

                                <tbody id="loadImages">
                                    <tr>


                                    </tr>
                                </tbody>

                            </table>
                        </div>
                    </form>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                </div>
                <input type="hidden" name="id" id="id" value="">

            </div>
        </div>
    </div>
<div class="modal fade" id="videoModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Video Upload</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
        <div class="modal-body">
            <form method="post" class="form-validate" action="{{ route("admin.property.video.upload") }}" method="post" enctype="multipart/form-data">
                @csrf
                <div class="form-group row" style="font-size:0.7rem !important;">
                    <div class="col-md-4 col-sm-12">
                        <label for="t-text">Video</label>                                            
                        <input type="file" name="video" id="video" class="form-control" style="font-size:0.7rem !important;">
                    </div>
                    <div class="col-md-4 col-sm-12">
                        <label for="t-text">Video Url</label>                                            
                        <input type="text" name="video_url" id="video_url" class="form-control" style="font-size:0.7rem !important;">
                    </div>
                   
                    <div class="col-md-2 col-sm-2">
                        <label for="t-text">Sort Order</label>                                            
                        <input type="text" name="video_sort_order" id="video_sort_order" class="form-control"  style="font-size:0.7rem !important;" required>
                    </div>
                    <div class="col-md-2 col-sm-12">
                        <label for="t-text">&nbsp;</label>  
                        <button type="submit" class="btn btn-primary" style="margin-top: 20px;">Upload Video</button>
                    </div>
                </div>
                <input type="hidden" name="property_id" id="property_ids" value="">
            </form>
            <form method="post" class="form-validate" id="changeVideoOrder" method="post">
                @csrf
                <div class="form-group row">
                    <table id="zero-config" class="table table-striped table-hover table-bordered" style="width:100%">
                        <thead>
                            <tr>
                               
                                <th>Video</th>
                                <th>Sort Order</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        
                            <tbody id="loadVideos">
                                <tr>


                                </tr>
                            </tbody>
                        
                    </table>
                </div>
            </form>
            
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
        </div>
        <input type="hidden" name="id" id="id" value="">

      </div>
    </div>
  </div>
@endsection

@section('footerJs')
    <script src="{{ asset('admin-assets/plugins/table/datatable/datatables.js') }}"></script>
    <script>
        $('#zero-config').DataTable({
            "aaSorting": [],
            "language": {
                "paginate": {
                    "previous": "<i class='flaticon-arrow-left-1'></i>",
                    "next": "<i class='flaticon-arrow-right'></i>"
                },
                "info": "Showing page _PAGE_ of _PAGES_"
            }
        });

        function loadImageModal(id) {
            $("#imageModal").modal("show");
            $("#property_id").val(id);
            $("#img_property_id").val(id);
            
            // Load images
            $.ajax({
                type: 'POST',
                url: "{{ route('admin.property.images') }}",
                data: $('.form-delete').serialize() + "&id=" + id + "&_token={{ csrf_token() }}",
                success: function(response) {
                    // console.log(response.images.length);
                    if (response.images.length > 0) {
                        var makeHTML = '';
                        jQuery.each(response.images, function(index, item) {
                            // console.log(item);
                            var sortOrder = '';
                            var img_id = item['property_images_id']
                            if (item['sort_order'] != null) {
                                sortOrder = item['sort_order'];
                            }
                            var imagePath = "{{ asset('property/images/:imageName') }}";
                            // var imagePath = '{{ url('/property/images/', ':imageName') }}';
                            imagePath = imagePath.replace(':imageName', item['property_images_path']);

                            makeHTML += '<tr id="img_' + img_id + '"><td><img src="' + imagePath +
                                '" style="width:100px;"></td><td><input type="text" name="image_sort_order[' +
                                item['property_images_id'] + ']" value="' + sortOrder +
                                '" class="form-control image-order-val"></td><td><a href="javascript:;" onclick="deleteSingleImage(' +
                                item['property_images_id'] +
                                ')"><i class="flaticon-delete"></i></a></td></tr>';
                        });
                        makeHTML +=
                            '<tr><td>&nbsp;</td><td colspan="2"><button type="button" class="btn btn-primary" onclick="changeImageOrder()">Change Order</button></td></tr>'
                        $("#loadImages").html(makeHTML);
                    } else {
                        $("#loadImages").html('<tr><td colspan="3">No image found</td></tr>');
                    }


                },
                error: function() {
                    toastr["error"]("Something went wrong");
                }
            });
        }
        function loadVideoModal(id){
            $("#videoModal").modal("show");
            $("#property_ids").val(id);

            // Load images
            $.ajax({
                type:'POST',
                url: "{{ route("admin.property.videos") }}",
                data: $('.form-delete').serialize()+"&id="+id+"&_token={{ csrf_token() }}",
                success: function(response){
                    console.log(response.images.length);
                    if(response.images.length > 0){
                        var makeHTML = '';
                        jQuery.each(response.images, function(index, item) {  
                            console.log(item);
                            var sortOrder = '';
                            if(item['sort_order'] != null){
                                sortOrder = item['sort_order'];
                            } 
                            var imagePath =  "{{ asset('public/property/images/:imageName') }}";
                           imagePath = imagePath.replace(':imageName', item['property_image_path']);

                          makeHTML += '<tr><td>'+item['property_video_name']+'</td><td><input type="text" name="image_sort_order['+item['property_video_id']+']" value="'+sortOrder+'" class="form-control image-order-val"></td><td><a href="javascript:;" onclick="deleteSingleVideo('+item['property_video_id']+')"><i class="flaticon-delete"></i></a></td></tr>';
                        });
                        makeHTML += '<tr><td>&nbsp;</td><td colspan="2"><button type="button" class="btn btn-primary" onclick="changeVideoOrder()">Change Order</button></td></tr>'
                        $("#loadVideos").html(makeHTML);
                    } else {
                        $("#loadVideos").html('<tr><td colspan="3">No video found</td></tr>');
                    }
                    

                },
                error: function(){
                    toastr["error"]("Something went wrong");
                }
            });
        }
        function changeVideoOrder(){            
            $.ajax({
                type:'POST',
                url: "{{ route("admin.property.video.order.change") }}",
                data: $('#changeVideoOrder').serialize(),
                success: function(response){
                    if(response.success){
                        toastr["success"](response.message);
                        setTimeout(function(){ 
                            window.location.href = "{{ route("admin.property.list")}}";
                        }, 1000);                        
                    } else {
                        toastr["error"](response.message);
                    }
                },
                error: function(){
                    toastr["error"]("Something went wrong");
                }
            });
        }
        function showDeleteModal(id) {
            $("#id").val(id);
            $("#deleteModal").modal("show");
        }

        $(".deleteRecord").click(function() {
            $.ajax({
                type: 'POST',
                url: "{{ route('admin.property.delete') }}",
                data: $('.form-delete').serialize(),
                success: function(response) {
                    if (response.success) {
                        toastr["success"](response.message);
                        setTimeout(function() {
                            window.location.href = "{{ route('admin.property.list') }}";
                        }, 1000);
                    } else {
                        toastr["error"](response.message);
                    }
                },
                error: function() {
                    toastr["error"]("Something went wrong");
                }
            });
        });

        $(".verify_property").change(function() {
            var href = $(this).attr('url');
            $.ajax({
                type: 'POST',
                url: href,
                dataType: 'json',
                data: {
                    "_token": "{{ csrf_token() }}",
                },
                success: function(response) {
                    if (response.status == 1) {
                        toastr["success"](response.message);

                    } else {
                        toastr["error"](response.message);
                        setTimeout(function() {
                            window.location.href = "{{ route('admin.property.list') }}";
                        }, 1000);
                    }
                },
                error: function() {
                    toastr["error"](response.message);
                    setTimeout(function() {
                        window.location.href = "{{ route('admin.property.list') }}";
                    }, 1000);
                }
            });
        });

        function deleteSingleImage(id) {
            $.ajax({
                type: 'POST',
                url: "{{ route('admin.property.delete.image') }}",
                data: "id=" + id + "&_token={{ csrf_token() }}",
                success: function(response) {
                    if (response.success) {
                        toastr["success"](response.message);
                        // setTimeout(function() {
                        //     window.location.href = "{{ route('admin.property.list') }}";
                        // }, 1000);
                        $("#img_" + id).remove();
                    } else {
                        toastr["error"](response.message);
                    }
                },
                error: function() {
                    toastr["error"]("Something went wrong");
                }
            });
        }
         function deleteSingleVideo(id){
            $.ajax({
                type:'POST',
                url: "{{ route("admin.property.delete.video") }}",
                data: "id="+id+"&_token={{ csrf_token() }}",
                success: function(response){
                    if(response.success){
                        toastr["success"](response.message);
                        setTimeout(function(){ 
                            window.location.href = "{{ route("admin.property.list")}}";
                        }, 1000);                        
                    } else {
                        toastr["error"](response.message);
                    }
                },
                error: function(){
                    toastr["error"]("Something went wrong");
                }
            });
        }
        function changeImageOrder() {
            $.ajax({
                type: 'POST',
                url: "{{ route('admin.property.image.order.change') }}",
                data: $('#changeImageOrder').serialize(),
                success: function(response) {
                    if (response.success) {
                        toastr["success"](response.message);
                        // setTimeout(function() {
                        //     window.location.href = "{{ route('admin.property.list') }}";
                        // }, 1000);
                        if (response.images.length > 0) {
                            var makeHTML = '';
                            jQuery.each(response.images, function(index, item) {
                                // console.log(item);
                                var sortOrder = '';
                                var img_id = item['property_images_id']
                                if (item['sort_order'] != null) {
                                    sortOrder = item['sort_order'];
                                }
                                var imagePath =
                                    "{{ asset('public/property/images/:imageName') }}";
                                imagePath = imagePath.replace(':imageName', item[
                                    'property_images_path']);

                                makeHTML += '<tr id="img_' + img_id + '"><td><img src="' +
                                    imagePath +
                                    '" style="width:100px;"></td><td><input type="text" name="image_sort_order[' +
                                    item['property_images_id'] + ']" value="' + sortOrder +
                                    '" class="form-control image-order-val"></td><td><a href="javascript:;" onclick="deleteSingleImage(' +
                                    item['property_images_id'] +
                                    ')"><i class="flaticon-delete"></i></a></td></tr>';
                            });
                            makeHTML +=
                                '<tr><td>&nbsp;</td><td colspan="2"><button type="button" class="btn btn-primary" onclick="changeImageOrder()">Change Order</button></td></tr>'
                            $("#loadImages").html(makeHTML);
                        } else {
                            $("#loadImages").html('<tr><td colspan="3">No image found</td></tr>');
                        }
                    } else {
                        toastr["error"](response.message);
                    }
                },
                error: function() {
                    toastr["error"]("Something went wrong");
                }
            });
        }
        $(document).on("keyup", ".digitsOnly", function() {
            this.value = this.value.replace(/[^0-9\.]/g, '');
        });
        $(".img_upload_form").submit(function(e) {
            e.preventDefault();
            $('.dim_err').html('');
            var formData = new FormData($('.img_upload_form')[0]);
            $(".img_upload_form").parsley().validate();
            if ($(".img_upload_form").find('.parsley-error').length !== 0) {
                return false;
            }
            $.ajax({
                type: 'POST',
                url: "{{ route('admin.property.image.upload') }}",
                enctype: 'multipart/form-data',
                data: formData,
                processData: false,
                contentType: false,
                cache: false,
                timeout: 600000,
                dataType: "json",
                beforeSend: function() {
                    $("#submit").attr("disabled", '');
                    $("#submit").text("Uploading");
                },
                complete: function() {
                    $("#submit").removeAttr("disabled");
                    $("#submit").text("Upload Image");
                },
                success: function(response) {
                    if (response.status == 1) {
                        toastr["success"](response.message);
                        // setTimeout(function() {
                        //     window.location.reload();
                        // }, 2000);
                        $("#image_sort_order").val('');
                        $("#image").val('');
                        if (response.images.length > 0) {
                            var makeHTML = '';
                            jQuery.each(response.images, function(index, item) {
                                // console.log(item);
                                var sortOrder = '';
                                var img_id = item['property_images_id']
                                if (item['sort_order'] != null) {
                                    sortOrder = item['sort_order'];
                                }
                                var imagePath =
                                    "{{ asset('public/property/images/:imageName') }}";
                                imagePath = imagePath.replace(':imageName', item[
                                    'property_images_path']);

                                makeHTML += '<tr id="img_' + img_id + '"><td><img src="' +
                                    imagePath +
                                    '" style="width:100px;"></td><td><input type="text" name="image_sort_order[' +
                                    item['property_images_id'] + ']" value="' + sortOrder +
                                    '" class="form-control image-order-val"></td><td><a href="javascript:;" onclick="deleteSingleImage(' +
                                    item['property_images_id'] +
                                    ')"><i class="flaticon-delete"></i></a></td></tr>';
                            });
                            makeHTML +=
                                '<tr><td>&nbsp;</td><td colspan="2"><button type="button" class="btn btn-primary" onclick="changeImageOrder()">Change Order</button></td></tr>'
                            $("#loadImages").html(makeHTML);
                        } else {
                            $("#loadImages").html('<tr><td colspan="3">No image found</td></tr>');
                        }

                    } else {
                        toastr["error"](response.message);
                        if (typeof response['errors'] !== 'undefined' && response['errors']) {
                            $('.dim_err').html('Image minimum dimension should be 705X465<br>');
                        }
                    }
                }
            });

        });
        var is_dim_valid = false;
        window.Parsley.addValidator('imagemindimensions', {
            validateString: function(value, requirement) {

                var deferred = $.Deferred();
                for (var i = 0; i < $(".imgs")[0].files.length; i++) {
                    var file = $(".imgs")[0].files[i];
                    size = requirement.split('x');
                    var width = size[0];
                    var height = size[1];
                    let image = new Image();
                    image.src = window.URL.createObjectURL(file);

                    image.onload = function() {
                        if (image.width >= width && image.height >= height) {
                            is_dim_valid = true;
                        } else {
                            deferred.reject();
                            is_dim_valid = false;
                        }
                    };
                }
                if (is_dim_valid) {
                    deferred.resolve();
                }
                return deferred.promise();
            },
        });
    </script>

@endsection
