@extends('admin.layouts.master')
@section('headerFiles')
    <link rel="stylesheet" type="text/css" href="{{ asset('admin-assets/plugins/table/datatable/datatables.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin-assets/plugins/table/datatable/custom_dt_zero_config.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin-assets/plugins/jqvalidation/custom-jqBootstrapValidation.css') }}">
    <link href="{{ asset('admin-assets/plugins/notification/toastr/toastr.min.css') }}" rel="stylesheet" type="text/css" />
    <!-- END GLOBAL MANDATORY STYLES -->    
    <style type="text/css">
        .error{
            color: red;
            display: block;
        }

    </style>
@endsection

@section('content')

<div class="container">
    <div class="page-header">
        <div class="page-title">
            <h3>{{ $data["pageTitle"] }}</h3>
        </div>
    </div>

    <div class="row layout-spacing ">

        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12  layout-spacing">
            <div class="statbox widget box box-shadow">
                
                <div class="widget-content widget-content-area">
                    <form method="post" id="frm" class="form-validate" method="post" enctype="multipart/form-data">
                        @csrf
                        <div class="form-group">
                            <label for="t-text">Property Type Name</label>
                            <input type="text" name="vehicle_category_name" id="vehicle_category_name" value="{{ $data["id"] != 0 ? $data["data"]->vehicle_category_name : ""}}" class="form-control" placeholder="Enter property type name" required>
                        </div>
                        @if ($data["id"] != 0)
                        <div class="form-group">
                            <label for="t-text">Status</label>                                            
                            <select class="custom-select mb-4" name="vehicle_category_status" id="vehicle_category_status" required>
                                <option value="1" {{ $data["id"] != 0 && $data["data"]->vehicle_category_status == 1 ? "selected" : ""}} >Active</option>
                                <option value="0" {{ $data["id"] != 0 && $data["data"]->vehicle_category_status == 0 ? "selected" : ""}} >Inactive</option>
                            </select>                            
                        </div>
                        @endif
                        <div class="form-group">
                            <label for="sih">Show in home</label>
                            <br>
                            <input type="checkbox" id="sih" name="show_in_home" {{ $data["id"] != 0 && $data["data"]->show_in_home == 1 ? "checked" : ""}}>
                        </div> 
                        <div class="form-group">
                            <img id="image-preview" style="width:auto; height:100px;" class="img-responsive mb-1" @if($data["id"] != 0 && $data["data"]->image) src="{{ asset('') }}public/property_type/{{ $data["data"]->image }}" @endif>
                        </div>
                        <div class="form-group row col-md-6">
                            <label>Image</label>
                            <input type="file" accept="image/*" name="image" id="image"  class="form-control" data-role="file-image" data-preview="image-preview" >
                        </div>
                        <div class="form-group">
                            <input type="submit" name="txt" class="mt-4 btn btn-button-7">
                            <input type="hidden" name="id" id="id" value="{{ $data["id"] }}" >
                        </div>
                    </form>
                </div>
            </div>
        </div>
        
    </div>

</div>

@endsection

@section('footerJs')
<script src="{{ asset('admin-assets/plugins/jqvalidation/jqBootstrapValidation-1.3.7.min.js') }}"></script>
<script src="{{ asset('admin-assets/plugins/jqvalidation/jqBootstrapValidation-1.3.7.min.js') }}"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.3/jquery.validate.js"></script>
<script src="{{ asset('admin-assets/plugins/notification/toastr/toastr.min.js') }}"></script>
<script>
    // Toaster options
    toastr.options = {
        "closeButton": false,
        "debug": false,
        "newestOnTop": false,
        "progressBar": false,
        "rtl": false,
        "positionClass": "toast-top-right",
        "preventDuplicates": false,
        "onclick": null,
        "showDuration": 300,
        "hideDuration": 1000,
        "timeOut": 1000,
        "extendedTimeOut": 1000,
        "showEasing": "swing",
        "hideEasing": "linear",
        "showMethod": "fadeIn",
        "hideMethod": "fadeOut"
    }

    $(".form-validate").submit(function(e) {
        e.preventDefault();
    }).validate({
        rules: {           
            vehicle_category_name: "required"            
        },
        messages: {            
            vehicle_category_name: "Please enter peroty type name"
        },
        submitHandler: function(form) { 
            var formData = new FormData(document.getElementById("frm"));
            $.ajax({
                type:'POST',
                enctype: 'multipart/form-data',
                url: "{{ route("admin.property.type.add_edit_save")}}",
                data: formData,
                processData: false,
                contentType: false,
                success: function(response) {
                    if(response.success){
                        toastr["success"](response.message);
                        setTimeout(function(){ 
                            window.location.href = "{{ route("admin.property.type.list")}}";
                        }, 2000);                        
                    } else {
                        toastr["error"](response.message);
                    }
                }            
            });
        }
    });
    $('[data-role="file-image"]').change(function() {
            readURL(this, $(this).data('preview'));
    });
    var readURL = function (input, previewId) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();
            reader.onload = function(e) {
                $('#' + previewId).prop('src', e.target.result);
            }
            reader.readAsDataURL(input.files[0]);
        }
    }
</script>

@endsection