@extends('admin.layouts.master')
@section('headerFiles')
    
    <link rel="stylesheet" type="text/css"
        href="{{ asset('admin-assets/plugins/jqvalidation/custom-jqBootstrapValidation.css') }}">
    <link href="{{ asset('admin-assets/plugins/notification/toastr/toastr.min.css') }}" rel="stylesheet"
        type="text/css" />
        <link href="{{ asset('admin-assets/plugins/iconpicker/fontawesome-5.7.2/css/all.css') }}" rel="stylesheet">
        <link href="{{ asset('admin-assets/plugins/iconpicker/fontawesome-iconpicker.min.css') }}" rel="stylesheet">
    <!-- END GLOBAL MANDATORY STYLES -->
    <style type="text/css">
        .error {
            color: red;
            display: block;
        }

    </style>
@endsection

@section('content')

    <div class="container">
        <div class="page-header">
            <div class="page-title">
                <h3>Social Media Links</h3>
            </div>
        </div>

        <div class="row layout-spacing ">

            <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12  layout-spacing">
                <div class="statbox widget box box-shadow">

                    <div class="widget-content widget-content-area">
                        <form method="post" class="form-validate" action="{{ url('admin/social_media') }}"
                            enctype="multipart/form-data">
                            @csrf()
                            <div class="row">
                                @foreach($list as $item)
                                <div class="form-group col-md-4">
                                    <label>Social Media</label>
                                    <input type="text"  name="title[]" class="form-control" value="{{$item->title}}">
                                </div>
                                <div class="form-group col-md-4">
                                    <label>Icon</label>
                                    <input type="text" name="icon[]" class="form-control icon-picker iconpicker-element iconpicker-input" value="{{$item->icon}}">
                                </div>
                                <div class="form-group col-md-4">
                                    <label>Link</label>
                                    <input type="text" name="value[]" class="form-control" value="{{$item->value}}">
                                </div>
                                @endforeach
                            </div>
                            <div class="form-group">
                                <input type="submit" name="txt" class="mt-4 btn btn-button-7">
                            </div>
                        </form>
                    </div>
                </div>
            </div>

        </div>

    </div>

@endsection

@section('footerJs')
    <script src="{{ asset('admin-assets/plugins/jqvalidation/jqBootstrapValidation-1.3.7.min.js') }}"></script>
    <script src="{{ asset('admin-assets/plugins/jqvalidation/jqBootstrapValidation-1.3.7.min.js') }}"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.3/jquery.validate.js"></script>
    <script src="{{ asset('admin-assets/plugins/notification/toastr/toastr.min.js') }}"></script>
    <script src="{{ asset('admin-assets/plugins/iconpicker/fontawesome-iconpicker.min.js') }}"></script>
    <script>
         $('.icon-picker').iconpicker();
        // Toaster options
        toastr.options = {
            "closeButton": false,
            "debug": false,
            "newestOnTop": false,
            "progressBar": false,
            "rtl": false,
            "positionClass": "toast-top-right",
            "preventDuplicates": false,
            "onclick": null,
            "showDuration": 300,
            "hideDuration": 1000,
            "timeOut": 1000,
            "extendedTimeOut": 1000,
            "showEasing": "swing",
            "hideEasing": "linear",
            "showMethod": "fadeIn",
            "hideMethod": "fadeOut"
        }

        $(".form-validate").submit(function(e) {
            e.preventDefault();
        }).validate({
            rules: {
            },
            messages: {
            },
            submitHandler: function(form) {
                var formData = new FormData($('.form-validate')[0]);
                $.ajax({
                    type: 'POST',
                    url: "{{ route('admin.social_media.add_edit_save') }}",
                    data: formData,
                    processData: false,
                    contentType: false,
                    cache: false,
                    timeout: 600000,
                    success: function(response) {
                        if (response.success) {
                            toastr["success"](response.message);
                            setTimeout(function() {
                                window.location.href =
                                    "{{ route('admin.social_media') }}";
                            }, 2000);
                        } else {
                            toastr["error"](response.message);
                        }
                    }
                });
            }
        });
    </script>

@endsection
