@extends('admin.layouts.master')

@section('headerFiles')
    <link href="{{ asset('') }}admin-assets/plugins/drag-and-drop/jquery-ui/scrollable/style.css" rel="stylesheet"
        type="text/css" />
@endsection

@section('content')

    <div class="card">
        <div class="card-body">
            <div class="widget-content widget-content-area">
                <div class="row">
                    <div class="col-lg-6">
                        <div id="sortable">
                            <ul>
                                @foreach ($list as $key)
                                    <li data-id="{{ $key->id }}">{{ $key->name }}</li>
                                @endforeach
                            </ul>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@stop

@section('footerJs')
    <script src="{{ asset('') }}admin-assets/plugins/jquery-ui/jquery-ui.min.js"></script>
    <script>
        /* 
                call mCustomScrollbar function before jquery ui sortable()
            */
        var $sortableList = $("#sortable ul");

        $sortableList.sortable({
            cursor: "move",
            stop: function(ev, ui) {
                var formData = new FormData();
                var items = [];
                var children = $('#sortable ul').sortable().children();
                $.each(children, function() {
                    items.push($(this).data('id'));
                });

                formData.append('items', items);
                formData.append('_token', "{{ csrf_token() }}");
                $.ajax({
                    type: "POST",
                    enctype: 'multipart/form-data',
                    url: '{{ url()->current() }}',
                    data: formData,
                    processData: false,
                    contentType: false,
                    cache: false,
                    dataType: 'json',
                    timeout: 600000,
                success: function(response) {
                    if (response.status == 1) {
                        toastr["success"]('Successfully sorted');

                    } else {
                        toastr["error"]('Unable to sort items. Please try again later.');
                    }
                },
                error: function() {
                    toastr["error"]('Unable to sort items. Please try again later.');
                }
            });
            }
        });
        $sortableList.disableSelection();
        $("#sortable, #sortable2").mCustomScrollbar({
            scrollbarPosition: "outside",
            scrollInertia: 450,
        });

        
    </script>
@endsection
