@extends('admin.layouts.master')
@section('headerFiles')
    <link rel="stylesheet" type="text/css" href="{{ asset('admin-assets/plugins/table/datatable/datatables.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin-assets/plugins/table/datatable/custom_dt_zero_config.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin-assets/plugins/jqvalidation/custom-jqBootstrapValidation.css') }}">
    <link href="{{ asset('admin-assets/plugins/notification/toastr/toastr.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('admin-assets/plugins/editors/tinymce/stylesheet.css') }}" rel="stylesheet" type="text/css" />
    <!-- END GLOBAL MANDATORY STYLES -->    
    <style type="text/css">
        .error{
            color: red;
            display: block;
        }

    </style>
@endsection

@section('content')

<div class="container">
    <div class="page-header">
        <div class="page-title">
            <h3>{{ $data["pageTitle"] }}</h3>
        </div>
    </div>

    <div class="row layout-spacing ">

        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12  layout-spacing">
            <div class="statbox widget box box-shadow">                
                <div class="widget-content widget-content-area" style="height: auto;">
                    <form method="post" class="form-validate"  action="{{ url('/admin/team/add') }}" id="admin-form" enctype="multipart/form-data">
                        @csrf

                        <div class="form-group">
                            <label for="t-text">Team Name</label> 
                            <select class="form-control" id="team" name="team">
                                @foreach($data['team_category'] as $key=>$val) 
                                 <?php 
                                 $selected =""; 
                                 if(isset($data['team_details'][0]) && $data['team_details'][0]->category_id == $val->id ) $selected ="selected"; ?>
                                <option value="{{$val->id}}" {{$selected}}>{{$val->category_name}}</option>
                                @endforeach
                            </select>                                           
                                                 
                        </div>
                        <h8>Members  <button class="btn btn-primary pull-right" type="button" data-role="add_more_button"><i class="flaticon-plus-1"></i></button></h8> <hr>
                        <?php
                            if(!empty(count($data['team_details']))) {  ?>
                                <table class="table table-condensed table-striped">
                                    <tr>
                                        <td>Name</td>
                                        <td>Title</td>
                                        <td>Nationality</td>
                                        <td>Branch</td>
                                        <td>Link</td>
                                        <td>Order</td>
                                        <td>Image</td>
                                        <td>Action</td>
                                    </tr>
                                <?php
                                foreach ($data['team_details'] as $key => $value) {  ?>
                                    <tr class="team{{ $value->team_id }}">
                                        <td><input name="name_{{$key}}" value="<?= $value->name?>" class="form-control"></td>
                                         <td><input name="title_{{$key}}" value="<?= $value->title?>" class="form-control"></td>
                                         <td><input name="nationality_{{$key}}" value="<?= $value->nationality?>" class="form-control"></td>
                                         <td><input name="branch_{{$key}}" value="<?= $value->branch?>" class="form-control"></td>
                                         <td><input name="link_{{$key}}" value="<?= $value->link?>" class="form-control">
                                           
                                         </td>
                                         <td><input name="order_{{$key}}" value="<?= $value->numorder?>" class="form-control">
                                            <input type="hidden" name="team_id_{{$key}}" value="<?= $value->team_id?>" class="form-control">
                                         </td>

                                          <td><img src="<?php echo url('uploads/team/'.$value->image) ?>" width="100" height="100">
                                            (@if($value->category_id==5) {{'Size 1420 * 600'}}@else {{'Size 360 * 460'}}@endif)
                                                <input type="file" name="image_{{$key}}">
                                          </td>
                                          <td><button class="btn btn-danger" type="button" data-role="remover" onclick="showDeleteModal('{{ $value->team_id }}')" setid="<?= $value->team_id?>"><i class="flaticon-minus-2"></i></button></td>
                                    </tr>
                                    <?php
                                    
                                } ?>
                                 </table>
                                <?php 
                            }
                         ?>
                        <div data-role="doc-holder"></div>
                        <input type="hidden" name="button_counter" id="button_counter" value="{{count($data['team_details'])}}">
                      
                        <div class="form-group">
                            <input type="submit" name="txt" class="mt-4 btn btn-button-7" id="save_btn">
                            <input type="hidden" name="id" id="id" value="" >
                        </div>
                    </form>
                </div>
            </div>
        </div>
        
    </div>

</div>
  <!-- Delete Modal -->
    <div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <form method="post" class="form-validate form-delete" method="post">
                @csrf
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Delete Confirmation</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        Are you sure you want to delete this record?
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                        <button type="button" class="btn btn-danger deleteRecord">Delete</button>
                    </div>
                    <input type="hidden" name="id" id="id" value="">
            </form>
        </div>
    </div>
@endsection

@section('footerJs')
<script src="{{ asset('admin-assets/plugins/jqvalidation/jqBootstrapValidation-1.3.7.min.js') }}"></script>
<script src="{{ asset('admin-assets/plugins/jqvalidation/jqBootstrapValidation-1.3.7.min.js') }}"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.3/jquery.validate.js"></script>
<script src="{{ asset('admin-assets/plugins/notification/toastr/toastr.min.js') }}"></script>
<script src="{{ asset('admin-assets/plugins/editors/tinymce/tinymce.min.js') }}"></script>
<script src="{{ asset('admin-assets/plugins/editors/tinymce/editor_tinymce.js') }}"></script>
<script>
    tinymce.init({
        selector: '#articles_desc'
      });
    // Toaster options
    toastr.options = {
        "closeButton": false,
        "debug": false,
        "newestOnTop": false,
        "progressBar": false,
        "rtl": false,
        "positionClass": "toast-top-right",
        "preventDuplicates": false,
        "onclick": null,
        "showDuration": 300,
        "hideDuration": 1000,
        "timeOut": 1000,
        "extendedTimeOut": 1000,
        "showEasing": "swing",
        "hideEasing": "linear",
        "showMethod": "fadeIn",
        "hideMethod": "fadeOut"
    }

    $('body').on('submit', '#admin-form', function(e) {
        $('#save_btn').hide();
        e.preventDefault();
            var validation = $.Deferred();
            var $form = $(this);
            var formData = new FormData(this);

            $.ajax({
                 type: "POST",
                    enctype: 'multipart/form-data',
                    url: $form.attr('action'),
                    data: formData,
                    processData: false,
                    contentType: false,
                    cache: false,
                    timeout: 600000,
                    dataType: 'json',
                success: function(response) {

                    if(response.status){
                        toastr["success"](response.message);
                        setTimeout(function(){ 
                            window.location.href = "{{ route("admin.team.list")}}";
                        }, 2000);                        
                    } else {
                        $('#save_btn').show();
                        toastr["error"](response.message);
                    }
                }            
            });
        
});

    $('[data-role="add_more_button"]').click(function(){ 
    var html = '';
    let counter = $("#button_counter").val();
    counter++;
    if($('#team').val()==5) {
        var imgsize = 'Size 1420 * 600';
    } else {
        var imgsize = 'Size 360 * 460';
    }
    
    html=html+'<div class="row">'
    +'<div class="col-md-3">'
                    +'<div class="form-group">'
                      +'<input type="text" class="form-control jqv-input" data-jqv-required="true" name="name_'+counter+'" placeholder="Enter Name">'
                    +'</div>'
                  +'</div>'
                +'<div class="col-md-3">'
                    +'<div class="form-group">'
                      +'<input type="text" class="form-control jqv-input" data-jqv-required="true" name="title_'+counter+'" placeholder="Enter Title">'
                    +'</div>'
                  +'</div>'
                   +'<div class="col-md-3">'
                    +'<div class="form-group">'
                      +'<input type="text" class="form-control jqv-input" data-jqv-required="true" name="nationality_'+counter+'" placeholder="Enter Nationality">'
                    +'</div>'
                  +'</div>'
                   +'<div class="col-md-3">'
                    +'<div class="form-group">'
                      +'<input type="text" class="form-control jqv-input" data-jqv-required="true" name="branch_'+counter+'" placeholder="Enter Branch">'
                    +'</div>'
                  +'</div>'
                   +'<div class="col-md-2">'
                    +'<div class="form-group">'
                      +'<input type="text" class="form-control jqv-input" data-jqv-required="true" name="link_'+counter+'" placeholder="Enter Link">'
                    +'</div>'
                  +'</div>'
                   +'<div class="col-md-3">'
                    +'<div class="form-group">'
                      +'<input type="number" class="form-control jqv-input" data-jqv-required="true" name="order_'+counter+'" placeholder="Enter Order">'
                    +'</div>'
                  +'</div>'
                  +'<div class="col-md-6">'
                    +'<div class="form-group">'
                    +'<div class="custom-file">'
                        +'<input type="file" class="custom-file-input jqv-input" data-jqv-required="true" name="image_'+counter+'" id="trade_licenece">'
                        +'<label class="custom-file-label" for="customFile">Choose file (<span class="img_size">'+imgsize+'</span>)</label>'
                    +'</div>'
                    +'</div>'
                  +'</div>'
                    +'<div class="col-md-1 d-flex justify-content-end align-items-start">'
                      +'<button class="btn btn-danger" type="button" data-role="remover"><i class="flaticon-minus-2"></i></button>'
                    +'</div>'
                
              +'</div>';
    $('[data-role="doc-holder"]').append(html);
    $("#button_counter").val(counter);
  });

/* $("body").on("click",'[data-role="remover"]',function(){
    $(this).parent().parent().remove();
    if($(this).attr('setid') !=null) {
        $.ajax({
                type: "GET",
                enctype: 'multipart/form-data',
                url: "<?php echo url('admin/team/delete_team/')?>/"+$(this).attr('setid'),
                
                dataType: 'json',
                success: function(res) {
                    toastr["success"]("Member deleted successfully");
                }
            })
    }
  });*/
function showDeleteModal(id) {
            $("#id").val(id);
            $("#deleteModal").modal("show");
        }
    $(".deleteRecord").click(function() {
        $("#deleteModal").modal("hide");
        $.ajax({
                type: "GET",
                enctype: 'multipart/form-data',
                url: "<?php echo url('admin/team/delete_team/')?>/"+$("#id").val(),
                
                dataType: 'json',
                success: function(res) {
                    $('.team'+$("#id").val()).remove();
                    toastr["success"]("Member deleted successfully");
                }
            })

           
        });
$('#team').on('change',function(){
        if($(this).val()==5) {
            $('.img_size').html('Size 1420 * 600');
        } else {
            $('.img_size').html('Size 360 * 460');
        }
    })
</script>

@endsection