@extends('admin.layouts.master')
@section('headerFiles')
    <link rel="stylesheet" type="text/css" href="{{ asset('admin-assets/plugins/table/datatable/datatables.css') }}">
    <link rel="stylesheet" type="text/css"
        href="{{ asset('admin-assets/plugins/table/datatable/custom_dt_zero_config.css') }}">
    {{-- <link rel="stylesheet" type="text/css" href="{{ asset('admin-assets/plugins/jqvalidation/custom-jqBootstrapValidation.css') }}"> --}}
    <link href="{{ asset('admin-assets/plugins/notification/toastr/toastr.min.css') }}" rel="stylesheet"
        type="text/css" />
    <!-- END GLOBAL MANDATORY STYLES -->
    <style type="text/css">
        .error {
            color: red;
            display: block;
        }

    </style>
@endsection

@section('content')

    <div class="container">
        <div class="page-header">
            <div class="page-title">
                <h3>{{ $data['pageTitle'] }}</h3>
            </div>
        </div>

        <div class="row layout-spacing ">

            <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12  layout-spacing">
                <div class="statbox widget box box-shadow">

                    <div class="widget-content widget-content-area">
                        <form method="post" class="form-validate" data-parsley-validate="true" method="post"
                            id="testimonial_form" enctype="multipart/form-data">
                            @csrf
                            <div class="row layout-spacing ">

                                <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-6">
                                    <div class="form-group">
                                        <label for="t-text">First Name</label>
                                        <input type="text" name="first_name" id="first_name"
                                            value="{{ $data['id'] != 0 ? $data['data']->first_name : '' }}"
                                            class="form-control" placeholder="Enter First name" required
                                            data-parsley-required-message="Enter first name">
                                    </div>
                                </div>
                                <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-6">
                                    <div class="form-group">
                                        <label for="t-text">Last Name</label>
                                        <input type="text" name="last_name" id="last_name"
                                            value="{{ $data['id'] != 0 ? $data['data']->last_name : '' }}"
                                            class="form-control" placeholder="Enter Last Name" required
                                            data-parsley-required-message="Enter last name">
                                    </div>
                                </div>
                            </div>
                            <div class="row layout-spacing ">

                                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12  ">
                                    <div class="form-group">
                                        <label for="t-text">Testimonial</label>
                                        <textarea type="text" name="testimonial" id="testimonial" class="form-control"
                                            placeholder="Enter testimonial" required
                                            data-parsley-required-message="Enter testimonial">{{ $data['id'] != 0 ? $data['data']->testimonial : '' }}</textarea>
                                    </div>
                                </div>
                            </div>
                            <div class="row layout-spacing ">

                                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12  ">
                                    <div class="form-group">
                                        <label for="t-text">Testimonial (Arabic)</label>
                                        <textarea type="text" dir="rtl" name="testimonial_arabic" id="testimonial_arabic"
                                            class="form-control"
                                            placeholder="Enter testimonial">{{ $data['id'] != 0 ? $data['data']->testimonial_arabic : '' }}</textarea>
                                    </div>
                                </div>
                            </div>

                            <div class="row layout-spacing ">

                                <div class="col-xl-6 col-lg-6 col-md-6 col-sm-12 col-12  ">
                                    <div class="form-group">
                                        <label for="t-text"> Profile Image</label>
                                        <input type="file" name="image" id="image" class="form-control"
                                            data-parsley-trigger="change" data-parsley-fileextension="jpg,png,jpeg"
                                            data-parsley-max-file-size-message="Max file size should be 2MB"
                                            data-parsley-max-file-size="2048"
                                            data-parsley-fileextension-message="Only files with type jpg,png,jpeg are supported"
                                            accept="image/*">
                                    </div>
                                </div>
                            </div>
                            @if ($data['id'] != 0)
                                <div class="form-group">
                                    <label for="t-text">Status</label>
                                    <select class="custom-select mb-4" name="status" id="status" required>
                                        <option value="1"
                                            {{ $data['id'] != 0 && $data['data']->testimonial_status == 1 ? 'selected' : '' }}>
                                            Active</option>
                                        <option value="0"
                                            {{ $data['id'] != 0 && $data['data']->testimonial_status == 0 ? 'selected' : '' }}>
                                            Inactive</option>
                                    </select>
                                </div>
                            @endif
                            <div class="form-group">
                                <input type="submit" name="txt" class="mt-4 btn btn-button-7">
                                <input type="hidden" name="id" id="id" value="{{ $data['id'] }}">
                            </div>
                        </form>
                    </div>
                </div>
            </div>

        </div>

    </div>

@endsection

@section('footerJs')
    {{-- <script src="{{ asset('admin-assets/plugins/jqvalidation/jqBootstrapValidation-1.3.7.min.js') }}"></script>
<script src="{{ asset('admin-assets/plugins/jqvalidation/jqBootstrapValidation-1.3.7.min.js') }}"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.3/jquery.validate.js"></script> --}}
    <script src="{{ asset('admin-assets/plugins/notification/toastr/toastr.min.js') }}"></script>
    <script>
        // Toaster options
        toastr.options = {
            "closeButton": false,
            "debug": false,
            "newestOnTop": false,
            "progressBar": false,
            "rtl": false,
            "positionClass": "toast-top-right",
            "preventDuplicates": false,
            "onclick": null,
            "showDuration": 300,
            "hideDuration": 1000,
            "timeOut": 1000,
            "extendedTimeOut": 1000,
            "showEasing": "swing",
            "hideEasing": "linear",
            "showMethod": "fadeIn",
            "hideMethod": "fadeOut"
        }

        $(".form-validate").submit(function(e) {
            e.preventDefault();
            $("#testimonial_form").parsley().validate();
            if ($("#testimonial_form").find('.parsley-error').length !== 0) {
                return false;
            }

            var formData = new FormData($('#testimonial_form')[0]);
            formData.append('first_name', $("#first_name").val());

            formData.append('id', $("#id").val());
            console.log(formData);
            $.ajax({
                type: 'POST',
                url: "{{ route('admin.testimonial.add_edit_save') }}",

                enctype: 'multipart/form-data',

                data: formData,
                processData: false,
                contentType: false,
                cache: false,
                timeout: 600000,
                success: function(response) {
                    if (response.success) {
                        toastr["success"](response.message);
                        setTimeout(function() {
                            window.location.href = "{{ route('admin.testimonial') }}";
                        }, 2000);
                    } else {
                        toastr["error"](response.message);
                    }
                }
            });
        });
    </script>

@endsection
