@extends('admin.layouts.master')
@section('headerFiles')
    <link rel="stylesheet" type="text/css" href="{{ asset('admin-assets/plugins/table/datatable/datatables.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin-assets/plugins/table/datatable/custom_dt_zero_config.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin-assets/plugins/jqvalidation/custom-jqBootstrapValidation.css') }}">
    <link href="{{ asset('admin-assets/plugins/notification/toastr/toastr.min.css') }}" rel="stylesheet" type="text/css" />
    <!-- END GLOBAL MANDATORY STYLES -->    
    <style type="text/css">
        .error{
            color: red;
            display: block;
        }

    </style>
@endsection

@section('content')

<div class="container">
    <div class="page-header">
        <div class="page-title">
            <h3>{{ $data["pageTitle"] }}</h3>
        </div>
    </div>

    <div class="row layout-spacing ">

        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12  layout-spacing">
            <div class="statbox widget box box-shadow">
                
                <div class="widget-content widget-content-area">
                    <form method="post" class="form-validate" method="post">
                        @csrf
                        <div class="form-group col-md-6 col-sm-12 input-group">
                            <input type="text" name="youtube_video_link" id="youtube_video_link" value="{{ $data["id"] != 0 ? $data["data"]->youtube_video_link : ""}}" class="form-control" placeholder="Enter youtube video link" required>
                            <div class="input-group-append">
                                <div class="input-group-text" onclick="get_youtube_video_image()">
                                    <i class="flaticon-picture" aria-hidden="true"></i>
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-sm-12 col-md-6" id="youtube_image"></div>
                            <input type="hidden" name="youtube_video_id" id="youtube_video_id" value="{{ $data["id"] != 0 ? $data["data"]->youtube_video_id : ""}}">
                        </div>
                        @if ($data["id"] != 0)
                        <div class="form-group col-md-6 col-sm-12">
                            <label for="t-text">Status</label>                                            
                            <select class="custom-select mb-4" name="status" id="status" required>
                                <option value="1" {{ $data["id"] != 0 && $data["data"]->status == 1 ? "selected" : ""}} >Active</option>
                                <option value="0" {{ $data["id"] != 0 && $data["data"]->status == 0 ? "selected" : ""}} >Inactive</option>
                            </select>
                            
                        </div>
                        @endif
                        <div class="form-group col-md-6 col-sm-12">
                            <input type="submit" class="mt-4 btn btn-button-7">
                            <input type="hidden" name="id" id="id" value="{{ $data["id"] }}" >
                        </div>
                    </form>
                </div>
            </div>
        </div>
        
    </div>

</div>

@endsection

@section('footerJs')
<script src="{{ asset('admin-assets/plugins/jqvalidation/jqBootstrapValidation-1.3.7.min.js') }}"></script>
<script src="{{ asset('admin-assets/plugins/jqvalidation/jqBootstrapValidation-1.3.7.min.js') }}"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.3/jquery.validate.js"></script>
<script>

    $(".form-validate").submit(function(e) {
        e.preventDefault();
    }).validate({
        rules: {
            youtube_video_link: {
                required: true,
                url: true
            }          
        },
        messages: {
            youtube_video_link: {
                required: "Please enter youtube video link",
                url: "Please enter valid url link"
            }
        },
        submitHandler: function(form) { 
            $.ajax({
                type:'POST',
                url: "{{ route("admin.video.add_edit_save")}}",
                data: $('.form-validate').serialize(),
                success: function(response) {
                    if(response.success){
                        toastr["success"](response.message);
                        setTimeout(function(){ 
                            window.location.href = "{{ route("admin.video.list")}}";
                        }, 2000);                        
                    } else {
                        toastr["error"](response.message);
                    }
                }            
            });
        }
    });

    $(document).ready(function(){
        if ($("#id").val()) {
           get_youtube_video_image();
        }
    });

    function get_youtube_video_image(){
        if ($("#id").val() != 0) {
            var video_id = $("#youtube_video_id").val();
            if(video_id){
                var image_path = '<img width="300" height="170" src="https://img.youtube.com/vi/'+video_id+'/maxresdefault.jpg">';
                $("#youtube_image").html(image_path);
            }
        } else{
            var youtube_video_link = $("#youtube_video_link").val();
            var video_id = youtube_video_link.split('v=')[1];
            var ampersandPosition = video_id.indexOf('&');
            if(ampersandPosition != -1) {
                video_id = video_id.substring(0, ampersandPosition);
            }
            var image_path = '<img width="300" height="170" src="https://img.youtube.com/vi/'+video_id+'/maxresdefault.jpg">';            
            $("#youtube_video_id").val(video_id);
            $("#youtube_image").html(image_path);
        }
    }
</script>

@endsection