@extends('admin.layouts.master')

@section('headerFiles')
<link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/@fancyapps/ui@4.0/dist/fancybox.css"
    />
<style>
     th, td {
     border: 1px solid black!important;
     }
</style>

@endsection

@section('content')

    <div class="container">
        <div class="page-header">
            <div class="page-title">
                <h3>Valuation Details</h3>
            </div>

        </div>

        <div class="row layout-spacing ">

            <div class="col-xl-12 col-lg-12 col-sm-12  layout-spacing">
                <div class="statbox widget box box-shadow">
                    <div class="widget-content widget-content-area">

                        <div class="table-responsive mb-4">

                            <table class="table table-bordered" >

                                <tr>
                                   <th>Name</th>
                                   <td>{{$valuation->name}}</td>
                                   <th>Email</th>
                                   <td>{{$valuation->email}}</td>
                                   
                                </tr>
                                <tr>
                                   <th>Contact</th> 
                                   <td>{{$valuation->contact}}</td>
                                   <th>Location</th>
                                   <td>{{$valuation->location}}</td>
                                </tr>
                                <tr>
                                    <th>Images</th> 
                                    <td colspan="3">
                                        @if(!empty($images))
                                        @foreach ($images as $img)
                                        <a data-fancybox="gallery" href="{{ asset('') }}public/valuation/{{ $img->file_name }}" target="blank" rel="noopener noreferrer"><img src="{{ asset('website-assets/images/view_img.png') }}" height="30" width="30" alt=""></a>&nbsp;&nbsp;   
                                        @endforeach
                                        @else
                                        No images uploaded
                                        @endif
                                    </td>
                                </tr>
                                <tr>
                                    <th>Documents</th>
                                    <td colspan="3">
                                        @if(!empty($docs))
                                        @foreach ($docs as $doc)
                                        <a href="{{ asset('') }}public/valuation/{{ $doc->file_name }}" target="blank" rel="noopener noreferrer"><img src="{{ asset('website-assets/images/view_doc.png') }}" height="30" width="30" alt=""></a>&nbsp;  &nbsp;
                                        @endforeach
                                        @else
                                        No documents uploaded
                                        @endif
                                    </td>
                                 </tr>
                                <tr>
                                    <th>Message</th> 
                                    <td colspan="3">{{$valuation->comment}}</td>
                                 </tr>
           
                             </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
      
    </div>
    </div>

@endsection

@section('footerJs')
  <script src="https://cdn.jsdelivr.net/npm/@fancyapps/ui@4.0/dist/fancybox.umd.js"></script>
    <script>
      //  JavaScript will go here
    //   Fancybox.bind("[data-fancybox]", {
    //   // Your options go here
    // });
    </script>

@endsection
