@extends('admin.layouts.master')
@section('headerFiles')
    
    <link rel="stylesheet" type="text/css"
        href="{{ asset('admin-assets/plugins/jqvalidation/custom-jqBootstrapValidation.css') }}">
    <link href="{{ asset('admin-assets/plugins/notification/toastr/toastr.min.css') }}" rel="stylesheet"
        type="text/css" />
    <!-- END GLOBAL MANDATORY STYLES -->
    <style type="text/css">
        .error {
            color: red;
            display: block;
        }

    </style>
@endsection

@section('content')

    <div class="container">
        <div class="page-header">
            <div class="page-title">
                <h3>Website Footer Info</h3>
            </div>
        </div>

        <div class="row layout-spacing ">

            <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12  layout-spacing">
                <div class="statbox widget box box-shadow">

                    <div class="widget-content widget-content-area">
                        <form method="post" class="form-validate" action="{{ url('admin/footer_info') }}"
                            enctype="multipart/form-data">
                            <input type="hidden" name="id" value="{{ $id }}">
                            @csrf()
                            <div class="form-group">
                                <label>Email<b class="text-danger">*</b></label>
                                <input type="text" name="mail" class="form-control" value="{{ $mail }}">
                            </div>
                            <div class="form-group">
                                <label>Contact<b class="text-danger">*</b></label>
                                <input type="text" name="contact" class="form-control " value="{{ $contact }}">
                            </div>

                            <div class="form-group">
                                <label>Address<b class="text-danger">*</b></label>
                                <input type="text" name="address" class="form-control" value="{{ $address }}">
                            </div>
                            <div class="form-group">
                                <label>Description<b class="text-danger">*</b></label>
                                <input type="text" name="description" class="form-control " value="{{ $description }}">
                            </div>

                            <div class="form-group">
                                <label>Timing 1<b class="text-danger">*</b></label>
                                <input type="text" name="timing_1" class="form-control" value="{{ $timing_1 }}">
                            </div>
                            <div class="form-group">
                                <label>Timing 2</label>
                                <input type="text" name="timing_2" class="form-control" value="{{ $timing_2 }}">
                            </div>

                            <div class="form-group">
                                <input type="submit" name="txt" class="mt-4 btn btn-button-7">
                            </div>
                        </form>
                    </div>
                </div>
            </div>

        </div>

    </div>

@endsection

@section('footerJs')
    <script src="{{ asset('admin-assets/plugins/jqvalidation/jqBootstrapValidation-1.3.7.min.js') }}"></script>
    <script src="{{ asset('admin-assets/plugins/jqvalidation/jqBootstrapValidation-1.3.7.min.js') }}"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.3/jquery.validate.js"></script>
    <script src="{{ asset('admin-assets/plugins/notification/toastr/toastr.min.js') }}"></script>
    <script>
        // Toaster options
        toastr.options = {
            "closeButton": false,
            "debug": false,
            "newestOnTop": false,
            "progressBar": false,
            "rtl": false,
            "positionClass": "toast-top-right",
            "preventDuplicates": false,
            "onclick": null,
            "showDuration": 300,
            "hideDuration": 1000,
            "timeOut": 1000,
            "extendedTimeOut": 1000,
            "showEasing": "swing",
            "hideEasing": "linear",
            "showMethod": "fadeIn",
            "hideMethod": "fadeOut"
        }

        $(".form-validate").submit(function(e) {
            e.preventDefault();
        }).validate({
            rules: {
                mail: "required",
                contact: "required",
                address: "required",
                description: "required",
                timing_1: "required",
               
            },
            messages: {
                mail: "Email required",
                contact: "Contact required",
                address: "Address required",
                description: "Description required",
                timing_1: "Timing 1 required",
            },
            submitHandler: function(form) {
                var formData = new FormData($('.form-validate')[0]);
                $.ajax({
                    type: 'POST',
                    url: "{{ route('admin.footer_info.add_edit_save') }}",
                    data: formData,
                    processData: false,
                    contentType: false,
                    cache: false,
                    timeout: 600000,
                    success: function(response) {
                        if (response.success) {
                            toastr["success"](response.message);
                            setTimeout(function() {
                                window.location.href =
                                    "{{ route('admin.footer_info') }}";
                            }, 2000);
                        } else {
                            toastr["error"](response.message);
                        }
                    }
                });
            }
        });
    </script>

@endsection
