<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\RealController;
use App\Http\Controllers\SendEmailController;
use App\Http\Controllers\SendInfoController;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'App\Http\Controllers\Admin\LoginController@login')->name('admin.login');
// Route::get('/new_index', 'App\Http\Controllers\Home\HomeController@new_index')->name('home.new_index');
/*Route::get('property-details/{slug}', 'App\Http\Controllers\Home\HomeController@property_details');
Route::get('properties', 'App\Http\Controllers\Home\HomeController@properties');
Route::get('get_list', 'App\Http\Controllers\Home\HomeController@get_property_list');
Route::post('signup', 'App\Http\Controllers\UserController@signup')->name('signup');
Route::post('signin', 'App\Http\Controllers\UserController@signin')->name('signin');
Route::get('profile', 'App\Http\Controllers\UserController@profile')->name('profile');
Route::get('user/logout', 'App\Http\Controllers\UserController@logout')->name('user_logout');
Route::get('contacts', 'App\Http\Controllers\Home\HomeController@contacts')->name('contacts');;
Route::get('blog', 'App\Http\Controllers\Home\HomeController@blog')->name('blog');
Route::get('blog-details/{id}', 'App\Http\Controllers\Home\HomeController@blog_details')->name('blog_details');*/
// Admin login route
Route::get('/admin', 'App\Http\Controllers\Admin\LoginController@login')->name('admin');
Route::post('/admin/login', 'App\Http\Controllers\Admin\LoginController@save')->name('admin.login.save');
/*Route::post('save_contact_form', 'App\Http\Controllers\Home\HomeController@save_contact_form');
Route::post('save_enquiry', 'App\Http\Controllers\Home\HomeController@save_enquiry');*/

/*Route::get('book-valuation', 'App\Http\Controllers\Home\HomeController@book_valuation');Route::post('save_book_valuation', 'App\Http\Controllers\Home\HomeController@save_book_valuation');
Route::post('save_subscribe', 'App\Http\Controllers\Home\HomeController@save_subscribe');

Route::get('about-us', 'App\Http\Controllers\Home\HomeController@about_us')->name('about_us');
Route::get('privacy-policy', 'App\Http\Controllers\Home\HomeController@privacy_policy')->name('privacy_policy');
Route::get('terms-of-use', 'App\Http\Controllers\Home\HomeController@terms_of_use')->name('terms_of_use');
Route::post('get_home_search_address', 'App\Http\Controllers\Home\HomeController@get_home_search_address')->name('get_home_search_address');*/
// Route::get('get_all_property', 'App\Http\Controllers\Home\HomeController@get_all_property')->name('get_all_property');



// Route::group(['middleware'=>['UserAuthCheck']],function(){
//     Route::get('book-valuation', 'App\Http\Controllers\Home\HomeController@book_valuation');Route::post('save_book_valuation', 'App\Http\Controllers\Home\HomeController@save_book_valuation');
// });

// Admin routes protected with authentication layer
Route::namespace('App\Http\Controllers\Admin')->prefix('admin')->middleware('auth')->name('admin.')->group(function() {
    Route::get('dashboard', 'AdminController@dashboard')->name('dashboard');
    Route::get('property/list', 'AdminController@propertyList')->name('property.list');
    Route::get('property/create/{id}', 'AdminController@propertyAddEdit')->name('property.add_edit');
    Route::post('property/save', 'AdminController@saveProperty')->name('property.add_edit_save');
    Route::match(array('GET','POST'),'property/sort', 'AdminController@propertySort')->name('property.sort');
    Route::post('property/delete', 'AdminController@deleteProperty')->name('property.delete');
    Route::post('property/get/images', 'AdminController@properImages')->name('property.images');
    Route::post('property/delete/image', 'AdminController@properDeleteImage')->name('property.delete.image');
    Route::post('property/image/order/change', 'AdminController@imageOrderChange')->name('property.image.order.change');
    Route::post('property/image/upload', 'AdminController@propertyImageUpload')->name('property.image.upload');
    
    Route::get('amenities/list', 'AdminController@amenitiesList')->name('amenities.list');
    Route::get('amenity/create/{id}', 'AdminController@amenitiesAddEdit')->name('amenities.add_edit');
    Route::post('amenity/save', 'AdminController@saveAmenities')->name('amenities.add_edit_save');
    Route::post('amenity/delete', 'AdminController@deletAmenity')->name('amenities.delete');

    Route::get('property/kind/list', 'AdminController@propertyKindList')->name('property.kind.list');
    Route::get('property/kind/create/{id}', 'AdminController@propertyKindAddEdit')->name('property.kind.add_edit');
    Route::post('property/kind/save', 'AdminController@savePropertyKind')->name('property.kind.add_edit_save');
    Route::post('property/kind/delete', 'AdminController@deletePropertyKind')->name('property.kind.delete');
    
    Route::get('property/type/list', 'AdminController@propertyTypeList')->name('property.type.list');
    Route::get('property/type/create/{id}', 'AdminController@propertyTypeAddEdit')->name('property.type.add_edit');
    Route::post('property/type/save', 'AdminController@savePropertyType')->name('property.type.add_edit_save');
    Route::post('property/type/delete', 'AdminController@deletePropertyType')->name('property.type.delete');
    
    Route::get('video/list', 'AdminController@videoList')->name('video.list');
    Route::get('video/create/{id}', 'AdminController@videoAddEdit')->name('video.add_edit');
    Route::post('video/save', 'AdminController@saveVideoType')->name('video.add_edit_save');
    Route::post('video/delete', 'AdminController@deleteVideo')->name('video.delete');
    
    Route::get('subscribe/email/list', 'AdminController@subscribeEmailList')->name('subscribe.email.list');
    
    Route::get('content/list', 'AdminController@contentList')->name('content.list');
    Route::get('content/create/{id}', 'AdminController@contentAddEdit')->name('content.add_edit');
    Route::post('content/save', 'AdminController@saveContent')->name('content.add_edit_save');
    Route::post('content/delete', 'AdminController@deleteContent')->name('content.delete');

    Route::get('change-password', 'AdminController@changePassword')->name('change.password');
    Route::post('change-password', 'AdminController@changePasswordSave')->name('change.password.save');
    Route::post('logout', 'AdminController@logout')->name('logout');
         Route::get('testimonial/list', 'TestimonialController@index')->name('testimonial');
     Route::get('testimonial/create/{id}', 'TestimonialController@create')->name('testimonial.add_edit');
     Route::post('testimonial/save', 'TestimonialController@save')->name('testimonial.add_edit_save');
    Route::post('testimonial/delete', 'TestimonialController@delete')->name('testimonial.delete');
    Route::get('website_info', 'WebsiteController@index')->name('website_info');
    Route::post('website_info/save', 'WebsiteController@save')->name('website_info.add_edit_save');
    
    Route::get('why_choose_us/list', 'WebsiteController@why_choose_us')->name('why_choose_us');
    Route::get('why_choose_us/create/{id}', 'WebsiteController@create_why_choose_us')->name('why_choose_us.add_edit');
    Route::post('why_choose_us/save', 'WebsiteController@save_why_choose_us')->name('why_choose_us.add_edit_save');
    Route::post('why_choose_us/delete', 'WebsiteController@delete_why_choose_us')->name('why_choose_us.delete');

    Route::get('valuation/list', 'AdminController@valuation')->name('valuation');
    Route::post('valuation/delete', 'AdminController@delete_valuation')->name('valuation.delete');
    Route::get('valuation/view/{id}', 'AdminController@view_valuation')->name('valuation.view');

    Route::get('contact_us/list', 'AdminController@contact_us')->name('contact_us');
    Route::post('contact_us/delete', 'AdminController@delete_contact_us')->name('contact_us.delete');

    Route::get('enquiry/list', 'AdminController@enquiry')->name('enquiry');
    Route::post('enquiry/delete', 'AdminController@delete_enquiry')->name('enquiry.delete');
    Route::get('enquiry/view/{id}', 'AdminController@view_enquiry')->name('enquiry.view');
    Route::post('verify_property/{id}', 'AdminController@verify_property')->name('verify_property');

    Route::get('footer_info', 'WebsiteController@footer_info')->name('footer_info');
    Route::post('footer_info/save', 'WebsiteController@save_footer_info')->name('footer_info.add_edit_save');
    
    Route::get('social_media', 'WebsiteController@social_media')->name('social_media');
    Route::post('social_media/save', 'WebsiteController@save_social_media')->name('social_media.add_edit_save');
    
     Route::post('property/get/videos', 'AdminController@properVideos')->name('property.videos');
    Route::post('property/video/upload', 'AdminController@propertyVideoUpload')->name('property.video.upload');
    Route::post('property/delete/video', 'AdminController@properDeleteVideo')->name('property.delete.video');
    Route::post('property/video/order/change', 'AdminController@videoOrderChange')->name('property.video.order.change');
    
        Route::get('team/list', 'TeamController@list')->name('team.list');
    Route::get('team/create', 'TeamController@create')->name('team.create');
    Route::post('team/add', 'TeamController@add_team')->name('team.add_team');
    Route::get('team/edit/{id}', 'TeamController@create')->name('team.create');
    Route::get('team/delete_team/{id}', 'TeamController@delete_team')->name('team.delete_team');
    Route::get('team/delete_teamcategory/{id}', 'TeamController@delete_teamcategory')->name('team.delete_teamcategory');
});

Route::get('/sendemail', [SendEmailController::class,'index']);
Route::post('/sendemail/send',[SendEmailController::class,'send']);
Route::post('/sendInfo',[SendInfoController::class,'sendInfo']);
Route::post('/sendInfo2',[SendInfoController::class,'sendInfo2']);
Route::post('/sendInfo3',[SendInfoController::class,'sendInfo3']);
Route::post('/sendemail/allsend','App\Http\Controllers\SendEmailController@sendall')->name('allsend');
Route::get('/sendeallmail', 'App\Http\Controllers\SendEmailController@showall');
/*Route::get('/OffPlan_Projects', [RealController::class,'index'])->name("real.index");
Route::get('/OffPlanProjects/Palm_Beach_Towers_on_Palm_Jumeirah', [RealController::class,'showreal'])->name("real.showreal");*/

/*Route::get('sync', 'App\Http\Controllers\Home\HomeController@sync');

Route::get('team', 'App\Http\Controllers\Home\HomeController@team');*/