<?php $__env->startSection('headerFiles'); ?>
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('admin-assets/plugins/table/datatable/datatables.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('admin-assets/plugins/table/datatable/custom_dt_zero_config.css')); ?>">

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<div class="container">
    <div class="page-header">
        <div class="page-title">
            <h3>Property Type List</h3>            
        </div>
        <a href="<?php echo e(route("admin.property.type.add_edit", ["id" => 0])); ?>" class="mt-5 btn btn-button-7" style="float: right;">+ Add New</a>
    </div>

    <div class="row layout-spacing ">

        <div class="col-xl-12 col-lg-12 col-sm-12  layout-spacing">
            <div class="statbox widget box box-shadow">
                <div class="widget-content widget-content-area">
                    
                    <div class="table-responsive mb-4">
                        
                        <table id="zero-config" class="table table-striped table-hover table-bordered" style="width:100%">
                            <thead>
                                <tr>
                                    <th>Property Type</th>
                                    <th>Status</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $data["propertyType"]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($row->vehicle_category_name); ?></td>
                                        <td><?php echo e($row->vehicle_category_status == 1 ? "Active" : "Inactive"); ?></td>
                                        <td class="align-center">
                                            <ul class="table-controls">
                                                <li><a href="<?php echo e(route("admin.property.type.add_edit", ["id" => $row->vehicle_category_id])); ?>"><i class="flaticon-edit-fill-2"></i></a></li>
                                                <li><a href="javascript:;" onclick="showDeleteModal('<?php echo e($row->vehicle_category_id); ?>')"><i class="flaticon-delete"></i></a></li>
                                            </ul>
                                        </td>
                                    </tr>                                    
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>                            
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Modal -->
<div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <form method="post" class="form-validate form-delete" method="post">
            <?php echo csrf_field(); ?>
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Delete Confirmation</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            <div class="modal-body">
                Are you sure you want to delete this record?
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                <button type="button" class="btn btn-danger deleteRecord">Delete</button>
            </div>
            <input type="hidden" name="id" id="id" value="">
        </form>
      </div>
    </div>
  </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('footerJs'); ?>
    <script src="<?php echo e(asset('admin-assets/plugins/table/datatable/datatables.js')); ?>"></script>
    <script>
        $('#zero-config').DataTable({
            "language": {
                "paginate": { "previous": "<i class='flaticon-arrow-left-1'></i>", "next": "<i class='flaticon-arrow-right'></i>" },
                "info": "Showing page _PAGE_ of _PAGES_"
            }
        });

        function showDeleteModal(id){
            $("#id").val(id);
            $("#deleteModal").modal("show");
        }

        $(".deleteRecord").click(function(){
            $.ajax({
                type:'POST',
                url: "<?php echo e(route("admin.property.type.delete")); ?>",
                data: $('.form-delete').serialize(),
                success: function(response){
                    if(response.success){
                        toastr["success"](response.message);
                        setTimeout(function(){ 
                            window.location.href = "<?php echo e(route("admin.property.type.list")); ?>";
                        }, 1000);                        
                    } else {
                        toastr["error"](response.message);
                    }
                },
                error: function(){
                    toastr["error"]("Something went wrong");
                }
            });
        });
    </script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/a2itworld/public_html/atoa/resources/views/admin/property_type_list.blade.php ENDPATH**/ ?>